Start using the Database

Use the Works Database to help organize information. Start creating a database by adding fields for each type of information you want. After entering the information, you can view it in different ways, sort it, and create reports.

If you're new to the Database, click the topic that describes what you want to do. Or type a question in the Answer Wizard box at the top of the Works Help pane, and then click Search.

Related topics

Create a new blank database

Change database views

Add a field

Create a report


Database
Table of Contents

  • Work with Database Basics
    • Get Help
      • Open or close Works Help
      • Get help
      • Resize the Help pane
      • Change the width of the Help pane
      • Print a Help topic
      • Move through Works Help by using the keyboard
      • Accessibility for people with disabilities
    • Use the Works Database Menus and Toolbar
      • Add a button to the toolbar
      • Remove a button from the toolbar
      • Restore the default buttons to the toolbar
      • Show or hide the toolbar
      • Show or hide ToolTips
      • Find more toolbar buttons
    • Work with Program Windows and Documents
      • Use keyboard shortcuts to move through a document
      • Zoom in and out of a document
      • Display different parts of a document at the same time
  • Start a Works Database
    • Open a Database
      • About creating a database
      • Create a new blank database
      • Design a database form
    • Use Templates
      • About using templates
      • Create a template
      • Modify a template
      • Specify a default template
    • Use the Database Views
      • About Database views
      • Change Database views
    • Save and Close a Database
      • Save a new document
      • Save a document in another folder or on another drive
      • Copy and rename a document
      • Close a document
      • Exit a Works program
  • Add Information
    • Add Fields and Records
      • Add a field
      • Insert a blank record
    • Add Text, Numbers, and Special Characters
      • Type text or numbers
      • Add a special character from the Windows Character Map
    • Add Default Text or Automatic Numbering
      • Type default text or numbers for a field
      • Type a series of numbers or dates
      • Create a new serialized field
      • Make an existing field serialized
  • Change the Data in your Database
    • Select Database Entries
      • Select information in the Database
    • Edit the Names of Fields and Their Contents
      • Replace the contents of a field
      • Replace specific text or numbers
      • Clear the contents of a field
      • Edit the contents of a field
      • Change a field name
    • Delete Information
      • Delete a field
      • Delete a record
      • Delete a text label from a form
      • Delete an object
    • Copy and Move Information
      • Copy a field
      • Copy the contents of a field
      • Copy the contents of a field into adjacent fields
      • Copy a record
      • Copy report information to another program
      • Move or copy information
      • Move a field
      • Move the contents of a field
      • Move a record
      • Move an object to the front or back of a form
    • Protect information
      • Protect or unprotect fields from changes
  • Change the Way Your Database Looks
    • Format Text and Numbers
      • Change the font of text and numbers
      • Change the font size of text and numbers
      • Change the color of text and numbers
      • Add bold formatting to text and numbers
      • Add italic formatting to text and numbers
      • Underline text and numbers
      • Add strikethrough formatting to text and numbers
      • Change the font of text and numbers that Works uses by default
    • Edit Field Contents
      • Wrap text within a field
    • Edit Field Formats
      • Field formats
      • Change the date or time format
      • Change the default number of decimal places
    • Change Field Alignment
      • Change the alignment of field contents
      • Align fields and objects to a grid
    • Change Field Size
      • Change the size of a field
      • Change the field width to fit the largest entry
      • Change the record height to fit the largest entry
    • Edit the Field Order
      • Change the tab order of fields on a form
    • Hide or Show Fields, Records, and Lines
      • Hide a field
      • Hide a record
      • Show a hidden field
      • Show all records
      • Show or hide gridlines in List view
      • Show or hide field lines on a form
      • Show or hide marked records
      • Show only records not found during a search
      • Switch between hidden and displayed records
  • Proofing Your Content
    • Check Spelling
      • Check spelling
      • Add words to your personal dictionary
      • Change spelling dictionaries
  • Add Objects and Special Elements to a Form
    • Add Rectangles and Borders
      • Draw a rectangle on a form
      • Put a border around an object
      • Remove a border from an object
    • Add Color and Shading
      • Add color and shading
      • Remove color and shading
    • Work With Text Labels
      • Add a text label to a form
      • Change the position of a text label on a form
      • Delete a text label from a form
    • Add a Picture, WordArt, Note, or an Equation
      • About supported images in Works
      • Draw your own picture with Microsoft Draw
      • Edit clip art with Microsoft Draw
      • Add a clip art picture
      • Add special text using WordArt
      • Add an equation using Equation Editor
    • Work with Objects
      • Edit an embedded object
      • Resize an object
      • Delete an object
  • Find and Sort Information
    • Specific Text and Numbers
      • Find specific text or numbers
    • Specific Fields or Records
      • Go to a specific field or record
    • Sort Records in Alphabetic or Numeric Order
      • Sort a database in alphabetic or numeric order
  • Find Records that Meet Specific Conditions
    • Create and Apply a Filter
      • Create and apply filters
    • Work with an Existing Filter
      • Apply an existing filter
      • Reapply the last filter
      • Modify a filter
      • Rename a filter
      • Reverse the results of a filter
      • Delete a filter
  • Mark Records to View or Print
    • Mark Records to View or Print
      • Mark or unmark records
      • Show or hide marked records
  • Calculate with Formulas and Functions
    • Type Formulas
      • Work with formulas
      • Clear a formula
    • Work with Database Functions
      • Use Database functions
  • Create Reports from Database Information
    • Create a report
      • About creating a report
      • About the report definition
      • Create a report
      • Create and apply a new filter to a report
      • Apply an existing filter to a report
    • Work with an Existing Report
      • Add a blank column to a report
      • Add a blank row to a report
      • Add text, a number, or a date to a report
      • Add a calculation to a report
      • Add a formula to a report
      • Add a field entry to a report
      • Add a field name to a report
      • Change the name of a report
      • Center text across several cells in a report
      • Copy report information to another program
      • Modify a filter applied to a report
  • Final Checklist before Printing
    • Check Spelling
      • Check spelling in a document
      • Add words to your personal dictionary
      • Change spelling dictionaries
    • Use Headers and Footers
      • Add a header or footer
      • Change header and footer margins
      • Remove a header or footer from the first page
      • Remove all headers and footers
    • Use Page Numbers
      • Add page numbers
      • Remove page numbers
      • Change the starting page number
    • Use Page Breaks
      • Insert a page break
      • Delete a page break
    • Prepare to Print Reports or Forms
      • Remove extra space between fields on a form before printing
    • Preview a Database Before Printing
      • Preview a document before printing
    • Change Print Settings
      • Print a specific page or a range of pages
      • Change page margins
      • Change page orientation
      • Change the paper source
    • Print Database Information
      • Print a document
      • Print marked or unmarked records
      • Print more than one record form on a page
      • Print a blank form
      • Print a single record on a form
      • See how your form will look when printed
  • Using E-Mail
    • Send E-mail
      • Send a Works document in e-mail
  • Technical Support
    • Get technical support


Font is missing or unavailable

If you create a database, spreadsheet, or document using a templateA document that contains pre-designed formatting, layout, and some text., or open a database, spreadsheet, or document, and it looks different from what you expected, the font used for those documents may have been removed.

Fontsa set of characters with a specific design, such as Helvetica or Courier for databases, spreadsheets, and documents, such as letters or flyers, are installed in the \Windows\Fonts folder on the drive on which you installed Works.

To verify that the font has been removed, open the C:\Windows\Fonts folder (if you installed Works on the C: drive), and then look for the name of the font. If the font is not listed and you want to use that font, install Works again.

Please click one:

Windows 98, Windows ME, and Windows 2000
Windows XP
  1. Double-click My Computer on your desktop.
  2. Double-click Local Disk (C:).

    If you installed Works on another drive, such as Local Disk (D:), double-click the name of that drive, such as Local Disk (D:).

  3. Double-click the Windows folder.
  4. Click Show Files.
  5. Double-click the Fonts folder.
  6. Check for the font you want to use.
  1. On the taskbarA bar on the Windows desktop that has the <>Start</> button to start programs and shows which programs are currently running., click Start, and then click My Computer.
  2. Double-click Local Disk (C:).

    If you installed Works on another drive, such as Local Disk (D:), double-click the name of that drive, such as Local Disk (D:).

  3. Double-click the Windows folder.
  4. Click Show the contents of this folder.
  5. Double-click the Fonts folder.
  6. Check for the font you want to use.


About supported images in Works

There are many different types of images you can use in Works programs. The following lists the image formats that are supported by Works. For best results, use only these types of images when working in Works programs:

  • JPEG
  • GIF
  • BMP
  • WMF
  • FPX
  • MIX
  • PNG
  • TIFF
Related topics

Add a clip art picture


About templates

Templates make it easy to get a task finished quickly. A template is a boilerplate document that contains existing information, such as styles, art, and text. For example, you can use the Babysitter template that is already formatted as a list to create a list of instructions. All you have to do is fill in the information you want.

When you use a template, you work in a new document that's a copy of the template. You don't have to worry about changing the original template. It will always be there to help you get started when you want to use it again.

You can also create your own template. If you have already created a document that has text or styles that you want to use again, you can save that document as a template.

Related topics

Create a template

Specify a default template

Start a new task


Get more accessibility information

In addition to the features and resources already described, other products, services, and resources for people with disabilities are available from Microsoft and other organizations.
Microsoft
Microsoft provides a catalog of assistive technology products that can be used with Windows. You can obtain this catalog from our Web site.
Trace R&D Center
The Trace R&D Center at the University of Wisconsin&—Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their Web site. The Trace R&D Center also publishes Trace Resource Book, which provides descriptions and photographs of about 2,000 products.To obtain these materials, contact:

Trace R&D Center, University of Wisconsin—Madison, 5901 Research Park Boulevard, Madison, WI 53719-1252.

Learn more on the Web

http://www.rfbd.org/

http://microsoft.com/enable


Get technical support

If you have a question about a Works program, such as the Works Spreadsheet or Word Processor, do the following:
  • Check Works Help. To search using your own words, type your question in the Answer Wizard. You can also search for a topic in the Help index.
  • Check the Readme file that is included with the program. If you did not change the installation directory suggested during setup, the Readme file can usually be found in the program's directory. For example, to find the Works Readme file, start Windows Explorer, and then look in C:\Program Files\Microsoft Works. Double-click the file named Readme.txt.
  • If you cannot find what you need, open or switchmake another document active by pressing ALT+TAB, or by clicking the program you want to go to on the taskbar to the program about which you have a question. On the Help menu, click About Microsoft Works, and then click Tech Support.

If you have questions about online tasks and services, use the Web site's Help link. Just connect to the Web site and then look for a Help link, or a link that enables you to send a message with your question. Using the site's Help or e-mail support link is the quickest way to get specific answers to your questions.

If you cannot connect to the site, click About Microsoft Works on the Help menu, and then click Tech Support.

Related topics

Get help


Legal restrictions for using clip art in a document

You are free to use the photographs, clip art, animations, sound, music, and video clips (collectively "Content") provided in the Clip Gallery in any advertising, promotional and marketing materials, or product or service created with Works Database and Works Word Processor provided that the material, product, or service is for noncommercial purposes. Additionally, you may not resell or redistribute the Content in any library or clip art product consisting primarily of the Content.

For example, you can use clip art in any document you create, including newsletters, brochures, and flyers. However, you may not sell any promotional and marketing materials or any products or services containing the Content. You are also not permitted to sell or redistribute the Content on floppy disk or in any other electronic medium as part of another software package, or on a stand-alone basis.

All other uses of clip art and Microsoft Works are subject to the terms and conditions of the Microsoft end-user license agreement (EULA). You can find the EULA by clicking About Microsoft Works on the Help menu of any Works program.


Microsoft documentation in alternative formats

In addition to the standard forms of documentation, many Microsoft products are available in other formats to make them more accessible.

Many of the Microsoft Works documents are also available as online Help, and the online Getting Started manual, included with the package.

If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. RFB&D distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. You can download many of these books from the Microsoft Web site at http://microsoft.com/enable/.

Recording for the Blind & Dyslexic, Inc.20 Roszel Road, Princeton, NJ 08540. World Wide Web: http://www.rfbd.org/

Related topics

Microsoft services for people who are deaf or hard-of-hearing

Utilities to enhance accessibility

Accessibility for people with disabilities


Microsoft services for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft products and customer services is available through a text telephone (TTY/TDD) service.
Customer Service

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time.

Technical Assistance

For technical assistance in the United States, you can contact Microsoft Technical Support on a text telephone at (425) 635-4948 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.

Related topics

Microsoft documentation in alternative formats

Utilities to enhance accessibility

Get more accessibility information


Utilities to enhance accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. Among the different types of products available for the MS-DOS and Microsoft Windows operating systems are:
  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to "type" by using a mouse or their voice.
  • Word or phrase prediction software that allow users to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.
Related topics

Microsoft services for people who are deaf or hard-of-hearing

Microsoft documentation in alternative formats

Get more accessibility information


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. There are many features, products, and services that make Microsoft Windows more accessible for people with disabilities.

If you have purchased this product in the United States, click the following topics to get information about the features, products, and services that are available.

Related topics

Microsoft services for people who are deaf or hard-of-hearing

Microsoft documentation in alternative formats

Utilities to enhance accessibility

Get more accessibility information


Find more clip art

Please click one:

Find more clipart
Use a keyword to find clipart
  1. On the View menu, click Form Design.
  2. In the form, click where you want to insert a picture.

    Click between fields to insert clip art because clip art cannot be inserted in a field.

  3. On the Insert menu, click ClipArt.
  4. Click Browse.
  5. Under Select a category, click a category.
  6. Under Select a sub-category, click a sub-category. You can refine your search by choosing a type of clip under Select a media type.
  7. Click the picture you want, and then click Insert.

    If the picture you want to insert is on the Works compact disc, you will be prompted to insert the disc containing the clip into the CD-ROM drive of your computer. After you insert the compact disc, Works will find the picture you want and insert it into your document.

  1. On the View menu, click Form Design.
  2. In the form, click where you want to insert a picture.

    Click between fields to insert clip art because clip art cannot be inserted within a field.

  3. On the Insert menu, click ClipArt.
  4. Click the Find tab.
  5. Under Type a keyword, type a keyword to find a picture.

    For example, to find pictures of animals, type animals or pets.

  6. Click Search.
  7. Click the picture you want, and then click Insert.

    If the picture you want to insert is on the Works compact disc, you will be prompted to insert the disc containing the clip into the CD-ROM drive of your computer. After you insert the compact disc, Works will find the picture you want and insert it into your document.

Tip

With the right mouse button, click the picture, and then click Clip Properties. Works displays a list of keywords under Keywords.

Related topics

Legal restrictions for using clip art in a document

View keywords of clip art

View properties of clip art


Add bold formatting to text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers to which you want to add boldformatting that makes characters appear darker than the surrounding text formatting.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Under Font style, click Bold.
  4. Click the Font tab.
  5. Under Style, select the Bold check box.

    In List view, when you add bold formatting to text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works adds bold formatting to all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

Tip

You can also make the text and numbers bold by clicking Bold Bold button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..

Related topics

Add italic formatting to text and numbers


Add an equation using Equation Editor

Why use Microsoft Equation Editor?
Using Microsoft Equation Editor, you can build complex equations to add to technical documents such as tests, research papers, and articles.

You build equations by choosing symbols from a toolbar and typing variables and numbers. You can add fractions, exponents, integrals, and other mathematical elements to a Works document. As you build an equation, Microsoft Equation Editor adjusts font sizes, spacing, and formatting for you, such as reducing the font size for exponents or displaying variables in italic.

  1. On the View menu, click Form Design.
  2. In the document, click where you want to add the equation.

    Make sure no fields are selected.

  3. On the Insert menu, click Object.
  4. In the Object Type list, click Microsoft Equation 3.0.
  5. Click OK.

    Works inserts a frame for the equation and replaces the Works toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document. and menus with the Equation toolbar and menus.

  6. To insert a symbol in an equation, point to a button on the top row of the Equation toolbar, and then click a specific symbol. You can also insert numbers, letters, and other common symbols by using keys on the keyboard.

    - or -

    To insert a template, point to a button on the bottom row of the Equation toolbar, and then click a template symbol.

  7. To exit Equation Editor, click Exit on the File menu.

    - or -

    Press ESC.

Tips

  • You can make changes to an equation by double-clicking the equation in the document, and then using the Equation toolbar and menus.
  • Microsoft Equation 3.0 includes its own Help system. To display Help in Microsoft Equation, press F1.
Related topics

Move or copy information


Add italic formatting to text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers to which you want to add italicformatting in which characters slant to the right formatting.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Click the Font tab.

    Under Style, select the Italic check box.

    In List view, when you add italic formatting to text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works adds italic formatting to all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

Tip

You can also make the text and numbers italic by clicking Italic Italic toolbar button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..

Related topics

Add bold formatting to text and numbers


Add a clip art picture

  1. On the View menu, click Form Design.
  2. In the form, click where you want to insert a picture.

    Click between fields to insert clip art because clip art cannot be inserted within a field.

  3. On the Insert menu, click ClipArt.
  4. Click Browse.
  5. Under Select a category, click the category you want.

    You can refine your search by choosing a sub-category under Select a sub-category, or a type of clip under Select a media type.

  6. Click the picture you want, and then click Insert.

    If the picture you want to insert is on the Works compact disc, you will be prompted to insert the disc containing the clip into the CD-ROM drive of your computer. After you insert the compact disc, Works will find the picture you want and insert it into your document.

Tip

To resize clip art and maintain a picture's proportions, click the clip art object to select it, click a corner handle, and then dragclick the object you want to resize, click one of the small boxes surrounding the object, hold down the mouse button, move the mouse until the object is the size you want, and then release the mouse button it until the object is the size you want.

Related topics

Legal restrictions for using clip art in a document

Edit clip art with Microsoft Draw


Add a special character from the Windows Character Map

Why use the Windows Character Map?
Use the Windows Character Map if your computer's keyboard does not display all the characters you want in the fonta set of characters with a specific design, such as Helvetica or Courier you are using. You can add typographical characters, language characters, trademark and copyright identification such as ®, ©, ™, and many others.
  1. On the View menu, click List or click Report (if a report is created).
  2. In List view, click the fielda column in List view that shows a category of information, such as a serial number or purchase date in which you want the special character. ( The special character you insert must be available in the fonta set of characters with a specific design, such as Helvetica or Courier chosen for the field because all entries in a field must have the same font.)

    - or -

    In Report view, click the cellthe intersection of a row and column that can contain text or numbers in which you want the special character.

    Each cell in Report view can have a different font.

  3. On the taskbarA bar on the Windows desktop that has the <>Start</> button to start programs and shows which programs are currently running., click the Start button, point to Programs, point to Accessories, point to System Tools, and then click Character Map.

    If you cannot find Character Map, you may need to install it. For information on installing Character Map, on the taskbar, click the Start button and then click Help. Click the Index tab, and then search for character map.

  4. In the Font box, click the fonta set of characters with a specific design, such as Helvetica or Courier you want.
  5. Double-click the special character you want.
  6. Click Copy.
  7. Click Close.
Related topics

Change the font of text and numbers


Add special text using WordArt

Why use WordArt?
Use WordArt to add style and flair to the text in a document. For example, you can add distinctive headlines for a newsletter or create decorative first letters at the beginning of a sentence.

With WordArt, you can also add shadowing effects or rotate text so that it displays at an angle or in a shape. For fun, you can experiment with different combinations of WordArt effects.

  1. On the View menu, click Form Design.
  2. In the document, click where you want to insert the WordArt.

    Make sure no fields are selected.

  3. On the Insert menu, click WordArt.

    Works inserts a frame for the WordArt, and replaces the Works toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document. and menus with the WordArt toolbar and menus.

  4. In the Enter Your Text Here box, type the text you want.

    To begin a new line, press ENTER.

  5. To update the WordArt text in the document, click Update Display.
  6. Click the WordArt toolbar buttons to create the effects you want.
  7. To exit WordArt, click outside the Enter Your Text Here box.

    WordArt automatically saves your work and returns to your Works document.

Note

Microsoft WordArt includes its own Help system, where you'll find information on how to use the WordArt toolbar and menus. To display Help, click WordArt Help Topics on the WordArt Help menu.

Tips

  • To resize WordArt in the document, select the WordArt object, click a corner handle, and then drag until the object is the size you want.
  • Microsoft WordArt includes its own Help system, where you'll find information on how to use the WordArt toolbar and menus. To display Help, click WordArt Help Topics on the Help menu.
Related topics

Move or copy information

Delete an object

Edit an embedded object

Resize an object


Add strikethrough formatting to text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers to which you want to add strikethroughformatting in which characters have a line through them formatting.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Click the Font tab.
  4. Under Style, select the Strikethrough check box.

    In List view, when you add strikethrough formatting to text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works adds strikethrough formatting to all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

Related topics

Add italic formatting to text and numbers


Add words to your personal dictionary

Why add words to a personal dictionary?
Works finds any words that do not appear in the dictionary. You can add words to a personal dictionary so that Works will not flag them as incorrect during subsequent spell checking.

When you add words to the dictionary, Works stores them in a personal dictionary file. This file is separate from the main dictionary. Whenever you check spelling, Works uses both the main dictionary and the personal dictionary.

When you check spelling, you can add words to your personal dictionary, or if you have words you want to add to the personal dictionary all at once, you can type one of the words, and then follow the procedure below to add all the words to the personal dictionary.

  1. On the Tools menu, click Spelling.

    This command is available in List, Form Design, and Report views, if a report has been created and is being modified.

  2. If Works finds a word that does not appear in the dictionary and you want to add it your personal dictionary, click Add.

    - or -

    In the Not in dictionary box, type the word you want to add to the dictionary.

Note

Database, Spreadsheet, and Word Processor share the same dictionaries. If you add a word to your personal dictionary in Spreadsheet, the same word will be added to the dictionary used in Database and Word Processor.

Related topics

Check spelling

Change spelling dictionaries


Change the color of text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers you want to change.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Click the Font tab.

Tips

  • In List view, when you change the color of any text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works changes the color of all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

  • You can make the same changes to other cells in Spreadsheet view by selecting the cells containing the text or numbers to which you want to change the color, and then by clicking Repeat Formatting on the Format menu.
Related topics

Change the font of text and numbers

Change the font size of text and numbers

Change the font of text and numbers that Works uses by default


Change the default number of decimal places

What is the default number of decimal places?
When you use numbers with decimal points, such as 922.67 or 6.1847, you can specify the number of digits you want to use to the right of the decimal point. For example, if you want to show six numbers to the right of the decimal point, you can set a default decimal place of 6.

If a number in your spreadsheet has more decimal places than your default, Works rounds off the decimal points in all future spreadsheets you create.For example, if you specify a default decimal place of 3 and your spreadsheet contains the number 4.2341, the number will appear as 4.234.

  1. On the Tools menu, click Options.
  2. Click the Data Entry tab.
  3. In the Set the default number of decimals box, type or select the number of decimal places you want after the decimal point.

    You can type a number from 0 through 7.

Note

The number you specify applies to all numbers you type until you change this setting. Previously formatted numbers will not be affected.

Related topics

Change a number format


Change the font of text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers you want to change.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Click the Font tab.
  4. Under Font, type or select the fonta set of characters with a specific design, such as Helvetica or Courier you want.

    In List view, when you change the font of any text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works changes the font of all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

Tip

You can also change the font by typing or selecting the font you want in the Font Name box Font box on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..

Related topics

Change the color of text and numbers

Change the font size of text and numbers

Change the font of text and numbers that Works uses by default


Change the font size of text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers you want to change.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Click the Font tab.
  4. Under Size, type or select the font sizethe point size of a set of characters, such as 12-point Helvetica you want.

    In List view, when you change the font size of any text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works changes the font size of all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

Tip

You can also change the font size by typing or selecting the font size you want in the Font Size box Font Size box on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..

Related topics

Change the font of text and numbers

Change the color of text and numbers

Change the font of text and numbers that Works uses by default


Change the font of text and numbers that Works uses by default

  1. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  2. Click the Font tab.
  3. Under Font, select the fonta set of characters with a specific design, such as Helvetica or Courier, font sizethe point size of a set of characters, such as 12-point Helvetica, and the font stylethe emphasis of text and numbers with formatting such as bold, italic, underline, or color you want.
  4. Click Set Default.
  5. Click Yes to change the default font settings.

    You must quit Database, and then open Database for the new default font, font size, and font style to take effect. However, the current document and previous documents are not affected by the change.

Note

You cannot undo this action. To return to Arial, 10 pt for Database lists and reports, or Times New Roman, 12 for forms, follow the steps above.

Related topics

Change the font of text and numbers

Change the color of text and numbers

Change the font size of text and numbers


Change header and footer margins

  1. On the File menu, click Page Setup.
  2. Click the Margins tab.
  3. Under From Edge, type the new measurements in the Header margin and Footer margin boxes.

Note

To see your headers and footers, on the File menu, click Print Preview.

Tip

If your header or footer is too far from the page edge, you may need to adjust the page margins. The header margin must fit within the top (page) margin, and the footer margin must fit within the bottom (page) margin.

Related topics

Change page margins

Change the starting page number

Add a header or footer

Remove all headers and footers


Change the width of the Help pane

  1. With the mouse pointer, point to the left border of the Help panea separate area on the right side of the program window that displays Help information.
  2. When the pointer looks like this Resize button hold down the mouse button, and then drag the border until the Help pane is the width you want.

Note

To change the Help pane back to the default size, click Resize Help Resize Help button in the upper-right corner of the Help title barthe horizontal bar at the top of a window that shows the window name.

Related topics

Resize the Help pane


Change page margins

Why change page margins?
Page margins determine the distance between the edge of the paper and the text of a document. You can change the page margins to do any of the following:
  • Increase the distance from the edge of the paper for headers and footerstext or a graphic, such as a page number, date, or picture, that appears and is printed in the top margin (header) or bottom margin (footer) of a document.
  • Increase the margin space for a personal or company letterhead.
  • Decrease the margin space to leave more room for text to fit on a page.
  • Provide more space for preprinted stationery.
  1. On the File menu, click Page Setup.
  2. Click the Margins tab.
  3. Type or select new settings for any margins you want to change.

Note

To restore the default settings for all options in the Page Setup dialog box, click Reset.

Tip

The header and footertext or a graphic, such as a page number, date, or picture, that appears and is printed in the top margin (header) or bottom margin (footer) of a document margins must be smaller than the top and bottom margin so they show correctly. If you change the header or footer margin to be larger than the top or bottom margin, Works automatically adjusts the margins for you.

Related topics

Change header and footer margins


Change page orientation

What is page orientation?
Page orientation determines how Works prints a document on a page. You can print a document in portrait orientation, so the short edge of the paper is at the top of the page, or in landscape orientation, so the long edge of the paper is at the top of the page.
  1. On the File menu, click Page Setup.
  2. Click the Source, Size & Orientation tab.
  3. Under Orientation, click Portrait or Landscape.

Note

To restore the default settings for all options in the Page Setup dialog box, click Reset.

Related topics

Change the paper source


Change the paper source

  1. On the File menu, click Page Setup.
  2. Click the Source, Size & Orientation tab.
  3. Under Paper, select the paper source and size.
  4. If the Size box doesn't display the size of your paper, type or select the width and height of the paper in the Width and Height boxes.

Note

To restore the default settings for all options in the Page Setup dialog box, click Reset.

Related topics

Preview a document before printing

Change page orientation


Change spelling dictionaries

  1. On the Tools menu, click Options.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  2. Click the General tab.
  3. Under Spelling, in the Choose dictionary list, click the dictionary you want to use.
Related topics

Check spelling


Change the starting page number

  1. On the File menu, click Page Setup.
  2. If it is not already selected, click the Other Options tab.
  3. Under Page Numbers, in the Starting page number box, type or enter the number you want printed on the first page.
  4. Click OK.

    Works numbers the pages in order, beginning with the page number you specify.

Note

To see your headers and footers, on the File menu, click Print Preview.

Tip

If you want to change page numbering so it starts with number one on the second page, type 0 in the Starting page number box, and then click OK. On the View menu, click Headers and Footers, and then click either No header on first page or No footer on first page, depending on where your page numbers are located.

Related topics

Remove all headers and footers


Change the date or time format

  1. In List view, click the field namethe name that appears at the top of each column in List view to identify each field that contains the date or time format you want to change.

    - or -

    In Form Design view, click the field contentsthe information in a field you want to change.

  2. On the Format menu, click Field.
  3. Under Format, click Date or click Time.
  4. Under Appearance, click the format you want.
Related topics

Field formats

Change a number format

Change database views


Check spelling

  1. On the Tools menu, click Spelling.

    This command is available in List, Form Design, and Report views, if a report has been created and is being modified.

    If Works finds a word that is not in its dictionary, Works suggests the correct spelling.

  2. Under Suggestions, click the correct spelling.
  3. Click Change to change only the current word, or click Change All to change all occurrences of the word.

    - or -

    If the word is correctly spelled, click Ignore Once to ignore only the current word, or click Ignore All to ignore all occurrences of that word.

Tips

  • You can customize spell checking by selecting options under Spelling options.
  • To choose other options for spell checking, click Options, to open the Options dialog box.
Related topics

Add words to your personal dictionary

Change spelling dictionaries


Close a document

  1. On the File menu, click Close.

    If you've made changes since the last time you saved the document or haven't saved the document yet, Works asks if you want to save the document.

  2. To save the changes you made, click Yes.

    If you're saving the document for the first time, select the location where you want to save the document in the Save in box, type a namefor the document in the File name box, and then click Save.

    - or -

    To close the document without saving the changes, click No.

Tips

  • You can also close the current document by clicking Close Close button in the upper-right corner of the window.
  • If you want to close all open documents and the program, click Exit on the File menu.
Related topics

Exit a Works program


Copy and rename a document

Why copy a document with a new name?
When you make a copy of a document, you create a new document with the same layout, formatting, and contents as the original. Then you can make changes to the copy and keep the original document unchanged, or make changes to both documents, independently of each other.

Copying a document with another name is useful when you want two documents that are similar, but not exactly the same. For example, you might want to send similar but different letters to two friends.

  1. Save the document you want to copy.
    2. How?
    1. On the File menu, click Save.
    2. If you are saving the document for the first time, in the Save in box, select where you want to save the document.

      Works saves documents in My Documents unless you specify another folder.

    3. Type a name for the document in the File name box.
    4. Click Save.
  2. On the File menu, click Save As.
  3. In the Save in box, select where you want to save the copy of the document.
  4. In the File name box, type a new name for the document.
  5. Click Save.

    Works saves the document with the new name and keeps the copy open.

Related topics

Open an existing database

Create a template


Move or copy information

What is the difference between moving and copying text?
When you move text, you remove the selected text from one location and place it in another part of the document.

When you copy text, the selected text remains in its original location, and a duplicate appears where you place it.

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program you want to move or copy.
  2. To remove information from its original location and place it somewhere else, press CTRL+X (Cut).

    - or -

    To leave information in its original location and duplicate it somewhere else, press CTRL+C (Copy).

  3. Click in the document where you want to move or copy the information.
  4. Press CTRL+V.

Tip

You can also move or copy information using the shortcut menua menu that appears when you right-click with the mouse and provides commands that are relevant only to a particular screen region or selection. Select the text you want to move or copy, click the right mouse button, and then click Cut or Copy. To paste the text, move the insertion point where you want to move or copy the information, open the appointment for editing, click the right mouse button, and then click Paste.

Note

When you cut or copy text, the information is saved to the Clipboard, which is a temporary storage area on your computer. You can continue to paste the copied or cut text until you copy or cut other text or turn off your computer.

Related topics

Find and replace specific text or numbers


Create a template

What is a template?
A template is a document you create, format, and use again. Your template usually contains information and settings that you can reuse, such as styles, formatting, headings, and text. You can use a template for creating similar looking documents without having to set the same formatting options or type the same text.
Important This topic will not be visible as you work because it will be hidden as you perform the steps of the procedure. To follow this procedure as you work, click Print Print button on the Help toolbara row of buttons near the top of a window that you can click to perform an action, such as printing a Help topic and use the printed copy of the topic.
  1. Create a document with the text and formatting you want to reuse.
  2. On the File menu, click Save As.
  3. Click Template.
  4. In the Type a name for the template below box, type a name for the template.
  5. To use the template as the default template for all new database documents, select the Use this template for new Database documents check box.
  6. Click OK.

    Works saves the template in the folder \Program Files\Microsoft Works\Template.

Note

To find your template, click Templates in the Works Task Launcher, and then, in the categories list, click Personal Templates.

Related topics

Specify a default template


Delete a document

What happens when a document is deleted?
When a document is deleted, it is permanently removed from the folder where it is stored and put in the Recycle Bin on the Windows desktop. You will not see the document when you choose Open on the File menu. If you click the file name in the History list in the Works Task Launcher, Works will not be able to find the file.

When you delete a file from your hard drive, the file name is not removed automatically from the History list in the Works Task Launcher. The entrya shortcut or pointer to a document that is stored in another location in the History list is only a shortcut to the file and must be removed separately. When you a delete file from your hard drive, it is a good idea to delete the entry from the History list in the Works Task Launcher at the same time.

  1. On the File menu, click Open.

    Works displays a list of documents in My Documents, which is the folder where Works saves documents unless you specify another location.

    To delete a document that is saved in a different folder on the same drive, click the arrow next to the Look in box, click the name of the drive on which you are working, and then double-click the folder containing the file you want to delete.

  2. With the right mouse button, click the name of the document you want to delete.
  3. On the shortcut menua menu that appears when you right-click with the mouse and provides commands that are relevant only to a particular screen region or selection, click Delete.

    Works displays a message asking you to confirm that you want to delete the document.

  4. To delete the document, click Yes.

    - or -

    If you decide not to delete the document, click No.

  5. To delete another file, repeat steps 2 through 4.

    - or -

    Click Cancel.

Tips

  • To delete an entry from the History list in the Works Task Launcher, with the right mouse button, click the entrya shortcut or pointer to a document that is stored in another location you want to delete, and then on the shortcut menu, click Delete.
  • You can permanently remove a document from your computer's hard drive. With the right mouse button, click the Recycle Bin on the Windows desktop, and then click Empty Recycle Bin on the shortcut menu.
  • You can also delete documents from My Computer on the Windows desktop or from Windows Explorer. For more information about how to delete documents from these locations, click the Start button on the taskbarA bar on the Windows desktop that has the <>Start</> button to start programs and shows which programs are currently running., and then click Help.


Delete an object

  1. Click the objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program you want to delete.
  2. On the Edit menu, click Delete Selection.

Tip

You can also delete an object by clicking the object and then pressing DELETE on the keyboard.

Related topics

Resize an object


Draw your own picture with Microsoft Draw

  1. On the View menu, click Form Design.
  2. Click in the document where you want to add the picture.
  3. Click in the document where you want to add the picture.

    Make sure no fields are selected.

  4. On the Insert menu, click Drawing.

    Works starts Microsoft Draw.

  5. Create a picture using the tools, shapes, and colors in Microsoft Draw.
  6. When you finish the picture, click Exit and Return on the File menu.
  7. To save changes, click Yes.

Notes

  • If you have a later version of Microsoft Draw installed on your computer, these steps may vary.
  • Microsoft Draw includes its own Help system, where you'll find information such as how to use the tools, how to import files, and how to enhance draw objects. To display Help in Microsoft Draw, press F1.

Tips

  • You can make changes to a draw object by double-clicking it in the document, and then using the Microsoft Draw tools.
  • You can also insert a draw objecta picture made up of combined elements such as shapes, lines and curves in a document by clicking New Drawing New Drawing on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..
Related topics

Move or copy information


Edit an embedded object

  1. Double-click the objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program you want to edit.
  2. Make the changes you want.
  3. To close the program and return to your document, click Exit on the File menu. If there isn't a File menu, press ESC or click anywhere in the document.
Related topics

Delete an object

Resize an object


Edit clip art with Microsoft Draw

  1. With the right mouse button, click the picture you want to edit, and then click Cut.

    Works places the picture on the clip board.

  2. On the Insert menu, click Drawing.

    Works starts Microsoft Draw.

  3. In Microsoft Draw, click Paste on the Edit menu.
  4. Edit the picture.
  5. When you finish the picture, click Exit and Return on the File menu.

Tip

You can also edit the picture by double-clicking the object to start Microsoft Draw or Microsoft Paint.


Find more toolbar buttons

Why find more toolbar buttons?
When a program window is not at its full size, you can find more toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document. buttons. If you see the More button arrows at the right end of the toolbar, click the More button arrows, and Works displays a menua list of options, such as the File menu and the Edit menu, from which you can choose commands with the rest of the commandsAn instruction that performs an action, such printing or saving a document..
  • Click the More button arrows More Buttons double arrow at the right end of the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..

    Works displays more toolbar buttons.

    - or

    Click Maximize Maximize button in the upper right corner of the program window to open the window to its full size and display all toolbar buttons.


Get help

Important This topic will not be visible after you complete step 1. To follow the procedure as you work, click Print Print button on the Help toolbara row of buttons near the top of a window that you can click to perform an action, such as printing a Help topic and use the printed copy.

Please click one:

Get Help using the Answer Wizard
Look through the Help contents
Search the Help index
  1. On the Help menu, click Works Help.
  2. In the Answer Wizard box at the top of the Help panea separate area on the right side of the program window that displays Help information, type a question that describes what you want to find.
  3. Click Search.

    The Answer Wizard displays a list of related Help topics.

  4. If you see a topic that you think will answer your question, click the topic.

    - or -

    If you don't find the answer to your question in the topic or in one of the other topics, type the question again by using different words, and then click Search.

    The Answer Wizard displays a list of different topics.

  1. On the Help menu, click Contents.

    Works displays a list of headings.

  2. Click the heading Subject heading you want.

    Works displays the subject headings.

  3. Click the subject heading Subject heading you want.

    Works displays the topics available for that subject.

  4. Click the topic Help topic you want.

    Works displays the topic.

    If the topic does not provide the information you want, click Back Back button on the Help toolbar to return to the contents.

  1. On the Help menu, click Index.
  2. In the text box at the top of the Help panea separate area on the right side of the program window that displays Help information, type a single word that describes the information you want.

    - or

    ScrollWith the mouse pointer, move quickly through a document by clicking the vertical bar at the right of a window or the horizontal bar at the bottom of a window. through the alphabetical list of words, and then double-click the word you want. For example, if you want to know how to print, you might double-click Print.

    To find topics for another word, clear the text box at the top of the Help pane.

  3. In the Topics found box, click a topic.
  4. If the topic does not provide the information you want, click Back Back button on the Help toolbar to return to the index.

Tip

You can also open the Help contents by clicking Contents Contents button" on the Help toolbar.

Note

When you type in the Answer Wizard box, you'll get the best results with a complete sentence or question, rather than a single word or phrase. For example, to find information about how to print a document landscape, type Print a document landscape, rather than just typing Print.

Tip

You can also open the Answer Wizard by clicking Answer Wizard Answer Wizard button on the Help toolbar.

Tip

You can also open the index by clicking Index Index button on the Help toolbar.

Related topics

Open or close Works Help

Accessibility for people with disabilities


Edit a template

  1. In the Works Task Launcher, click Templates.
  2. In the categories list, click Personal Templates.
  3. Click the templateA document that contains pre-designed formatting, layout, and some text. you want to edit.
Related topics

About templates

Create a template

Specify a default template


Open an existing database

  1. On the File menu, click Open.
  2. If the file you want is listed, double-click the file name to open it.

    - or -

    Switch to the drive or folder where the file is located.

    3. How?
    1. In the Look in box, click the down arrow.
    2. To switch to another drive, click the drive letter.

      For example, if you want to switch to your floppy drive and it is designated as A, click A: in the list.

      - or -

      To switch to another folder on the same drive, click the letter of the drive from which you are working.

      For example, if the drive you are working on is designated as C, click C: in the list.

    3. Double-click the folder you want.
  3. Double-click the file name you want to open.

Tips

  • Works lists the files you most recently opened at the bottom of the File menu. To open a recently used file, click the file name at the bottom of the File menu.
  • To quickly open a file, click the Open button Open button on the toolbar. on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..
  • You can also use the History tab in the Works Task Launcher to quickly find documents you created.


Open or close Works Help

  • To open Works Help, click Works Help on the Help menu.

    - or

    To close Works Help, click Close Help Close Help button in the upper-right corner of the Help title barthe horizontal bar at the top of a window that shows the window name.

Tips

  • You can also open Help by clicking Works Help Works Help button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document., or you can press F1.
  • You can also close Help by holding down the CTRL key and pressing F4.
Related topics

Resize the Help pane

Change the width of the Help pane

Get help


Preview a document before printing

  1. On the File menu, click Print Preview.

    The Print Preview toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document. replaces the toolbar at the top of the screen.

  2. To see how the next page or previous page will look when it is printed, click Next Next page button or Previous Previous page button on the toolbar.

Tips

  • You can also preview a document by clicking Print Preview Print Preview button on the toolbar.
  • The Print Preview command does not work unless a printer is connected to your computer. For more information, refer to the Windows Help and your printer manual.


Print a document

  1. On the File menu, click Print.
  2. In the Print dialog box, type or select the print options you want.

Tips

  • Print Print button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document.. This button will bypass the settings in the Print dialog box, and will print the document using the current print settings.
  • You can preview a document to see how it will look when you print it by clicking Print Preview Print Preview button on the toolbar.
Related topics

Print a specific page or a range of pages

Preview a document before printing


Print a Help topic

  • On the Help menu, click Print Help Topic.
Related topics

Get help


Print a specific page or a range of pages

  1. On the File menu, click Print.
  2. To print a single page, under Print Range, click Pages, and then type the same page number in the from and to boxes.

    - or -

    To print a range of pages, under Print Range, click Pages, and then type the number of the first page you want to print in the from box, and type the number of the last page you want to print in the to box.

Related topics

Print a document

Preview a document before printing


Exit a Works program

  • On the File menu, click Exit.


Remove page numbers

  1. On the View menu, click Headers and Footers.
  2. In the Header box, selectplace the cursor next to the text you want, click and hold down the mouse button, move the cursor to highlight the text, and then release the mouse button the page number text or code you want to remove if they are not already selected, and then press DELETE.

    - or -

    In the Footer box, select the page number text or code you want to remove if they are not already selected, and then press DELETE.

Note

To see your headers and footers, on the File menu, click Print Preview.

Related topics

Remove a header or footer from the first page

Remove all headers and footers


Find and replace specific text or numbers

What is the best way to replace specific text or numbers?
You can search for and replace specific information in List view. For example, you can find all the recordsall of the related information about one person, place, or thing that contain the city name Seattle and automatically replace Seattle with Dublin in each case.

When searching, you can use wildcards to find information that contains a part of, but does not exactly match, what you're searching for. For example, use the question mark (?) wildcard to type anders?n and find both "Anderson" and "Andersen." Or, use the asterisk (*) wildcard to type s*s and find all words that begin and end in "s," such as "series" and "salaries."

  1. On the View menu, click List.
  2. On the Edit menu, click Replace.
  3. In the Find what box, type the text or numbers you want to find.
  4. In the Replace with box, type the replacement text or numbers.
  5. To begin searching, click Find Next.
  6. To replace the specified characters and find the next occurrence, click Replace.

    - or -

    To replace all occurrences without confirming each one, click Replace All.

    - or -

    To find the next occurrence without replacing the characters, click Find Next.

Related topics

Find specific text or numbers

Replace the contents of a field


Resize an object

  1. Click the objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program to select it.

    Selection handles appear around the object.

  2. Position the mouse pointer over one of the handles until it looks like this:

  3. To resize an object proportionally, click a corner handle and hold down the SHIFT key as you dragclick the object you want to resize, click one of the small boxes surrounding the object, hold down the mouse button, move the mouse until the object is the size you want, and then release the mouse button until the object is the size you want.

    - or -

    To stretch the object, click the top, bottom, or side handle, and then drag until the object is the size you want.


Resize the Help pane

  • In the upper-right corner of the Help title barthe horizontal bar at the top of a window that shows the window name click Resize Help Resize Help button.
Related topics

Change the width of the Help pane


Save a document in another folder or on another drive

  1. On the File menu, click Save As.
  2. In the Save in box, click the down arrow.
  3. To save the document on another drive, click the letter of the drive.

    For example, if you want to save a document to a floppy drive that is designated as A, click A: in the list.

  4. To switch to another folder, double-click the folder to open it.
  5. Click Save.


Save a new document

  1. On the File menu, click Save As.
  2. In the Save in box, select the location where you want to save the document.

    The default location for Works documents is My Documents.

  3. In the File name box, type a name for the document.
  4. Click Save.

Note

All documents saved using a Works program are automatically added to the history list in the Works Task Launcher. To quickly find documents you've saved, start the Works Task Launcher by clicking New on the File menu. In the Works Task Launcher, click the History tab to see the list of documents you've saved.

Tip

You can also save a document by clicking Save Save button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..


Use keyboard shortcuts to move through a document

To move the insertion pointa blinking vertical line that shows where your typing or an inserted object will appear in a document, you can press a combination of keys on the keyboard. The following table lists these keyboard shortcuts:
To move | Press
Up one linea row of text or numbers | UP ARROW
Down one line | DOWN ARROW
To the end of a cell in the Spreadsheet or field in the Database when in Edit mode (after pressing F2) | CTRL+END
To the beginning of a cell in the Spreadsheet or field in the Database when in Edit mode (after pressing F2) | CTRL+HOME
To the end of a document in the Word Processor, and in the Spreadsheet and Database when not in Edit mode | CTRL+END
To the beginning of a document in the Word Processor, and in the Spreadsheet and Database when not in Edit mode | CTRL+HOME
Up one screen | PAGE UP
Down one screen | PAGE DOWN
One character to the left in the Word Processor, and in the Spreadsheet and Database when in Edit mode (after pressing F2) | LEFT ARROW
One character to the right in the Word Processor, and in the Spreadsheet and Database when in Edit mode (after pressing F2) | RIGHT ARROW
One cell to the left in the Spreadsheet and Database when not in Edit mode | LEFT ARROW
One cell to the right in the Spreadsheet and Database when not in Edit mode | RIGHT ARROW
One word to the left in the Word Processor, and in the Spreadsheet and Database when in Edit mode (after pressing F2) | CTRL+LEFT ARROW
One word to the right in the Word Processor, and in the Spreadsheet and Database when in Edit mode (after pressing F2) | CTRL+RIGHT ARROW
To the beginning of a column in the Database. To the beginning of a column in the Spreadsheet when there are values in every cell in the column; if empty cells separate groups of values, moves to the beginning or each group of values. | CTRL+UP ARROW
To the end of a column in the Database. To the end of a column in the Spreadsheet when there are values in every cell in the column; if empty cells separate groups of values, moves to the end or each group of values. | CTRL+DOWN ARROW


Send a Works document in e-mail

To send a document in e-mail, a mail system compatible with the Messaging Application Programming Interface (MAPI) must be installed on your computer, and you need an Internet Service Provider (ISP) who provides your Internet connection. If you don't have an e-mail system compatible with MAPI, Works displays the Internet Connection Wizard so you can set up Microsoft Outlook Express, which is already installed on your computer and is MAPI-compatible.

Please click one:

Send a Works document as an attachment in e-mail
Send a Works document as the body of an e-mail message
  1. Open or create the file you want to send.
  2. On the Tools menu, click Options.
  3. Click the General tab.
  4. Under Send mail as, click Document.
  5. Click OK.
  6. On the File menu, click Send.
  7. If the Choose Profile dialog box appears, select the e-mail profile you want to use, and then click OK.

    Your e-mail program opens a new message and inserts the file as an attachment.

  1. Open or create the document you want to send.
  2. On the Tools menu, click Options.
  3. Click the General tab.
  4. Under Send mail as, click Text.
  5. Click OK.
  6. On the File menu, click Send.
  7. If the Choose Profile dialog box appears, select the profile you want to use, and then click OK.

    A new e-mail message appears with the contents of the document in the body of the message.

Tip

You can also send a document as an attachment by opening your e-mail program and using the Insert command.


Show or hide the toolbar

  • To show the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document., click Toolbar on the View menu.

    Works shows the toolbar and adds a check mark next to Toolbar on the menu. . .

    - or -

    To hide the toolbar, click Toolbar again on the View menu.

    Works hides the toolbar and clears the check mark next to Toolbar on the menu. . .

Related topics

Remove a button from the toolbar

Restore the default buttons to the toolbar


Specify a default template

  1. Open the templateA document that contains pre-designed formatting, layout, and some text. that you want to specify as the default templatethe boilerplate document used whenever you start a new document.
  2. On the File menu, click Save As.
  3. Click Template.

    The Save As Template dialog box appears.

  4. Type a name for the template.

    For example, type MyTemplate.

  5. Select the Use this template for new Database documents check box.
Related topics

About templates


Start a new task

  1. On the File menu, click New.
  2. On the navigation barThe bar at the top of the Task Launcher window that displays the Home, Templates, Programs, Projects, and History buttons, and the Help menu., click Programs.

    Works displays a list of templates and tasks for that program.

  3. Click the program you want.
  4. Click the task you want.
  5. Click Use this style.

Tip

To choose tasks by category, click the Templates tab, select a category, select a task, and then click Use this style.


Underline text and numbers

  1. Selectmove the insertion point to the beginning of the information you want, click and hold down the mouse button as you move the insertion point to highlight the information, and then release the mouse button the text or numbers you want to underlineformatting in which characters have a line under them.
  2. On the Format menu, click Font and Style.

    This command is available in List, Form Design, and Report view, if a report has been created and is being modified.

  3. Click the Font tab.
  4. Under Style, select the Underline check box.

    In List view, when you add underline formatting to text and numbers in a fielda column in List view that shows a category of information, such as a serial number or purchase date, Works adds underline formatting to all the text and numbers in that field.

    In Form Design view, when you add underline formatting to text and numbers in a field, field label, or form title, Works adds the underline formatting to all recordsall of the related information about one person, place, or thing.

Tip

You can also underline text and numbers by clicking Underline Underline toolbar button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..


Use a keyword to find clip art

Why use a keyword to find clip art?
All the clips—pictures and photographs, and so on—have been assigned keywords, and then the clips are categorized by keywords. By creating categories based on keywords, clips of one type are grouped together so you can easily find a specific clip. For example, if you want to add pictures of animals to a newsletter, you can search for pictures of animals by typing a keyword, such as animals or pets.
  1. On the View menu, click Form Design.
  2. In the form, click where you want to insert a picture.

    Click between fields to insert clip art because clip art cannot be inserted within a field.

  3. On the Insert menu, click ClipArt.
  4. Click the Find tab.
  5. Under Type a keyword, type a keyword to find a picture.

    For example, to find pictures of animals, type animals or pets.

  6. Click Search.
  7. Click the picture you want, and then click Insert.

Tip

While in the Clip Gallery, you can view all the keywords associated with a picture. With the right mouse button, click the picture, and then click Clip Properties. Works displays a list of keywords under Keywords.

Related topics

Legal restrictions for using clip art in a document


Import address book information from previous versions of Works into the Address Book

Why import address book information from previous versions of Works into the Address Book?
Import address book information from previous versions of Works (version 4.5 or earlier) into the Address Book if you want to use a central location for storing the following information:
  • E-mail addresses for your e-mail program
  • Your personal address book
  • Addresses used for a letter or envelope mail mergethe process of merging information into a document from a data source, such as an address book, database, or other file to create customized documents
  • Birthdays and anniversaries that you want to appear in the Works CalendarIf you want to use custom fields, be able to filter, or if you want to create custom reports by using your address book entries, keep the address book that you created in the earlier version of Works. This address book is a database, so you can use it with the Works Database.
  1. On the navigation barThe bar at the top of the Task Launcher window that displays the Home, Templates, Programs, Projects, and History buttons, and the Help menu., click Programs.
  2. Click Address Book.
  3. Click Address book converter.
  4. Follow the instructions on your screen.

Note

Importing your address book does not delete the address book file you created in a previous version of Works. You can still use that address book for reference or as a backup.

Tip

You can also import address book information from a previous version of Works from within the Address Book. In the Works Task Launcher, click the Programs tab, click Address Book, and then click Start Address Book. On the File menu, point to Import, and then click Other Address Book. Click Works address book (Works database file), and then click Import. Click Browse to select the name of your Works address book, and then click OK.


Display different parts of a document at the same time

Why display different parts of a document?
You can split a document window into horizontal and vertical panesa separate area of a window to see different parts of a large document at the same time. This is useful if you want to copy or move information from one part of a large document to another.

Splitting a document window does not affect the contents or format of the document.

  1. On the View menu, click List.
  2. On the View menu, click Split.
  3. When the pointer looks like this Adjust arrows move to where you want to split the document, and then click.

    Works displays a split bara horizontal or vertical bar used to split a window into panes that indicates the split location. To split a document into two panesa separate area of a window, move the pointer to the right or left side of the document. To split a document into four panes, click anywhere in the document.

  4. To move to different parts of the document in each pane, use the scroll barsthe vertical bar at the right of a window or the horizontal bar at the bottom of a window that you can click to move quickly through a document.

    -or-

    On the Edit menu, click Find, or click Go To.

  5. To move to a different pane, click the pane.

Note

To remove a split bar, double-click it.

- or -

Select the split bar, click and hold down the mouse button, move it off the document, and then release the mouse button.

Tips

  • You can also split a document window by clicking the split boxa box at the top of the vertical scroll bar or at the left of the horizontal scroll bar used to split a window into panes. Drag the split box to where you want to split the document.
  • To move from one pane to another pane, you can also press F6.


View keywords of clip art

Why view the keywords of clip art?
All the clips—pictures and photographs, and so on—have been assigned keywords, and then the clips are categorized by keywords. By creating categories based on keywords, clips of one type are grouped together so you can easily find a specific clip. For example, if you want to add pictures of animals to a newsletter, you can search for pictures of animals by typing a keyword, such as animals or pets.
  1. On the View menu, click Form Design.
  2. In the form, click where you want to insert a picture.

    Click between fields to insert clip art because clip art cannot be inserted within a field.

  3. On the Insert menu, click ClipArt.
  4. Click a picture to select it.
  5. With the right mouse button, click Clip Properties.
  6. Under Keywords, click the down arrow to view the list of keywords associated with the picture.
Related topics

Legal restrictions for using clip art in a document

View properties of clip art


View properties of clip art

Why view the properties of clip art?
If you want to see all the keywords associated with a clip, or preview the clip in a larger size, open the Clip Properties dialog box.
  1. On the View menu, click Form Design.
  2. In the form, click where you want to insert a picture.

    Click between fields to insert clip art because clip art cannot be inserted within a field.

  3. On the Insert menu, click ClipArt.
  4. Click a thumbnaila miniature representation of a file, text, or image of a picture to select it.
  5. Click the right mouse button, and then click Clip Properties.

    The Clip Properties dialog box appears, listing all the properties of the clip art you selected.

Related topics

Legal restrictions for using clip art in a document


Zoom in and out of a document

  1. On the View menu, click Zoom.
  2. Click the zoom setting you want.

    - or -

    In the Custom % box, type or select a number between 25 and 1000.

Note

To restore the document to its normal size (100 percent), click Zoom on the View menu, and then click 100%.

Tip

You can also change the zoom setting by clicking the Zoom box Zoom box in the lower-left corner of the screen, and then clicking the setting you want.


Move through Works Help by using the keyboard

Works Help provides keyboard shortcuts that you can use to make your work go more quickly. The following table lists these shortcuts.
To | Press
Open Works Help | F1
Close Works Help when the Help window is active | CTRL+F4
Switch to the Answer Wizard to search for a topic | ALT+H, H
Search the Help index | ALT+H,I
Print a Help topic | ALT+H, P
Go back to the previous Help topic | ALT+H, G
Get accessibility information | ALT+H, S
Connect to the Works home page on the Web from the Calendar, Spreadsheet, Word Processor, and Task Launcher | ALT+H, W, W
Connect to the Works home page on the Web from the Database | ALT+H, M, W
Get online support on the Web from the Calendar, Spreadsheet, Word Processor, and Task Launcher | ALT+H, W, O
Get online support on the Web from the Database | ALT+H, M, O
Connect to the Microsoft home page on the Web from the Calendar, Spreadsheet, Word Processor, and Task Launcher | ALT+H, W, H
Connect to the Microsoft home page on the Web from the Database | ALT+H, M, H
Get copyright and version information | ALT+H,A
To select | Press
The Help panea separate area on the right side of the program window that displays Help information, if the document is active | CTRL+TAB
The document, if the Help pane is active | CTRL+TAB
A Help topic from the Answer Wizard | TAB to the Help topic you want, and then press ENTER
A word or Help topic from the Help index | TAB to the word or Help topic you want, and then press ENTER.


Hide a field name

  1. On the View menu, click Form Design.
  2. Click the field namethe name that appears at the top of each column in List view to identify each field you want to hide to select it.
  3. On the Format menu, click Show Field Name to remove the check mark.
Related topics

Show a field name

Hide a field


Remove a button from the toolbar

  1. On the Tools menu, click Customize Toolbar.
  2. Drag the button you want to remove off the toolbar to any location on the screen (except the toolbar).

Note

To remove the Font and Font Size boxes from the toolbar, select the Remove font name and point size from the toolbar check box.


Show a field name

  1. On the View menu, click Form Design.
  2. Click the contentsthe information in a field of the field whose name you want to show.
  3. On the Format menu, click Field.
Related topics

Hide a field name

Hide a field


Use an informational function

An informational functiona built-in calculation that you can use to create a formula is used for testing formulasan equation that calculates a new value from existing values in spreadsheets and databases.

The Works informational functions are:

Function | Description
ERR | Gives the value ERR and can be used to label a cell as "error" based on a condition.
ISERR | Gives the value 1 (TRUE) if the argument is the error value ERR.
ISNA | Gives the value 1 (TRUE) if the argument is the error value N/A.
NA | Gives the value N/A and can be used to label a cell as "not applicable" based on a condition.
Related topics

Use Database functions


Use a date or time function

When you want to calculate date or time information, you can use dates and times directly in formulasan equation that calculates a new value from existing values.

When you want to extract and display a single element of a date or time, you can use a Works functiona built-in calculation that you can use to create a formula such as DAY or MONTH. For example, if the date is 3/12/2001, the DAY function displays 12 and the MONTH function displays 3.

Works stores dates internally as serial numbers from 1 to 65534, representing January 1, 1900 to June 3, 2079. For example, 36711 is the number for July 4, 2000. Times are stored as decimal fractions of a 24-hour day. You need to know the serial number for some calculations.

The Works date and time functions are:

Function | Description
DATE | Gives the serial number for a particular date.
DAY | Gives the serial number for a particular day of the month.
HOUR | Gives the serial number for a particular hour.
MINUTE | Gives the serial number for a particular minute.
MONTH | Gives the serial number for a particular month.
NOW | Gives the current date or time.
SECOND | Gives the serial number for a particular second.
TIME | Gives the serial number for a particular time.
YEAR | Gives the serial number for a particular year.
Related topics

Use Database functions


Use a financial function

Each Works financial functiona built-in calculation that you can use to create a formula gives you the power to perform a complex financial calculation. For example, you can use financial functions to calculate loan payments, the appreciation of an investment, or the amount you can afford to borrow to remodel your house.

The Works financial functions are:

Function | Description
CTERM | Gives the number of compounding periods needed for a sum of money to grow from a present value to a future value.
DDB | Uses the double-declining balance method to find the amount of depreciation in a specific period.
FV | Gives the future value of an investment.
PMT | Gives the periodic payment of an investment.
PV | Gives the present value of an investment.
RATE | Gives the growth of an investment.
SLN | Uses the straight-line method to give the amount of depreciation in one period.
SYD | Uses the sum-of-years'-digits method to give the amount of depreciation in a specific period.
TERM | Gives the number of compounding periods necessary for a series of equal payments to grow to a future value.
Related topics

Use Database functions


Use a math or trigonometric function

The Works math and trigonometric functionsa built-in calculation that you can use to create a formula are:

Function | Description
ABS | Gives the absolute value of a number.
ACOS | Gives the arccosine of a number.
ASIN | Gives the arcsine of a number.
ATAN | Gives the arctangent of a number.
ATAN2 | Gives the arctangent of a point.
COS | Gives the cosine of a number.
EXP | Gives e to the power of a number.
INT | Gives the integer part of a number.
LN | Gives the logarithm, base e, of a number.
LOG | Gives the logarithm, base 10, of a number.
MOD | Gives the remainder from division.
PI | Gives the value of π
 | Gives a random number between 0 and 1.
ROU | Gives a number rounded to a specified number of digits.
SIN | Gives the sine of a number.
SQRT | Gives the square root of a number
TAN | Gives the tangent of a number.
Related topics

Use Database functions


Use a text function

When you want to extract information about text in cellsthe intersection of a row and column that can contain text or numbers, or to perform comparisons, conversions, and other operations on text, you can use the Works text functionsa built-in calculation that you can use to create a formula.

For example, you can use the EXACT function to determine whether two phrases are identical, or you can use the LOWER function to convert all of the letters in a phrase to lowercase.

When you use text in a formulaan equation that calculates a new value from existing values, you must enclose the text in double quotation marks. For example, you can type =PROPER("eric moncur") to get the capitalization Eric Moncur. To avoid typing double quotation marks, you can use a reference to a cell containing text. For example, if cell A10 contains the text "eric moncur," you can type =PROPER(A10) to get the same result as in the previous example.

The Works text functions are:

Function | Description
EXACT | Checks to see whether text values are identical.
FIND | Finds one text value within another.
LEFT | Extracts the leftmost characters from text.
LENGTH | Gives the length of a phrase.
Use LOWER(TextValue) | Converts every letter in text to lowercase.
MID | Gives a specific number of text characters, starting at the position you specify.
PROPER | Capitalizes the first letter of each word.
REPEAT | Repeats the text as many times as you specify.
REPLACE | Replaces characters within text.
RIGHT | Extracts the rightmost characters from text.
STRING | Converts a value to text with a specified number of decimal places.
TRIM | Removes all spaces from text except for single spaces between words.
UPPER | Capitalizes every letter in text.
VALUE | Converts text to a number.

Tips

  • If you want to combine a number with some text, first convert that number to text. To convert a number, use the STRING function. The STRING function requires two arguments: the value you're converting to a string, and the number of decimal places you want the STRING function to recognize.
  • If you need to compare two pieces of text to determine whether they are equivalent expressions, you can use the equals (=) operator or the greater-than (>) or less-than (<) operator. Text is "greater than" another piece of text if it follows it in alphabetical order. Hence, Z is greater than (>) A.
Related topics

Use Database functions


About creating a report

Reports organize and summarize database information. You can create reports by using the Works ReportCreator and save up to eight reports at one time in the Works Database. In your report, you can:

  • Specify which fieldsa column in List view that shows a category of information, such as a serial number or purchase date to include and where to place them on the report.
  • Sort and group field contentsthe information in a field.
  • Filtera way of specifying what information is displayed in a database the database to print only the information you want.
  • Perform calculations, such as counting and averaging, to show statistical information.
  • Add titles, text labels, and notes to enhance your report.
Related topics

Create a report


About the report definition

When you create a report with the ReportCreator, Works automatically creates a report definition. The report definition is organized in rows and columns similar to List view. Instead of numbered recordsall of the related information about one person, place, or thing, however, Report view has labeled rows. A row's label indicates its type; each row type has a specific purpose, as shown in the following table:

Row type | Purpose
Title | Prints the report title or other text, such as the company name or the date, on the first page only.
Headings | Prints the page heading or other text, such as a column heading, at the top of each page.
Record | Designates which fieldsa column in List view that shows a category of information, such as a serial number or purchase date are to be printed. For example, =Cost tells Works to print the contents of the Cost column.
Intr fieldname | Designates a blank row or heading before each group of recordsall of the related information about one person, place, or thing when the report is sorted and grouping options are specified. Works replaces the word fieldname with the actual field namethe name that appears at the top of each column in List view to identify each field, such as Intr Cost.
Summ fieldname | Designates a statistical summary to be printed after each sorted group of records. Works replaces the word fieldname with the actual field name, such as Intr Cost.
Summary | Designates a statistical summary to be printed at the end of a report.
Related topics

About creating a report

Create a report


About creating a database

A database is similar to an index card file. Like an index card, each database recordall of the related information about one person, place, or thing contains information about one person, place, or thing. Together, all records make up the database. The difference between a database and an index card file is that with a database, you can update more than one record at a time.

Information in a database is organized into fieldsa column in List view that shows a category of information, such as a serial number or purchase date and records. Records are the rows of a database and fields are the columns.

For example, you might create a travel database that includes the fields City, Hotel, and Dates, as shown below.

City | Hotel | Dates
Chicago | The Grand | March 1 - 4
Paris | La Grande | March 4 - 8
Dublin | No.1 Hotel | March 8 - 14

In the City field, you would add each city you planned to visit. In the Hotel field, you would add each hotel in which you planned to stay, and in the Dates field, you would add the dates you planned to be in each city.

In this example, each city, hotel, and week of dates makes up one record. Each record is one row of the database.

To start creating a database, you first decide how you want to organize and find information, and then add a field for each type of information you want to include. For example, to organize information by dates, you would include a field in your database named Dates.

Keep your database design simple. If you want to make changes later, you can easily add, delete, move, and edit fields and records.

Related topics

Create a new blank database


Design a database form

The most important thing to remember when you set up a database form is that the fields you choose now affect what you can do with your database later, whether it's sorting, searching, adding, or deleting recordsall of the related information about one person, place, or thing and fieldsa column in List view that shows a category of information, such as a serial number or purchase date.

The more logically you set up your fields, the easier it will be to sort, search, add, or delete records and fields. When you are designing a form, there are two database views you can use to make it easier:

  • Use List view to add new fields in the order you want.
  • Use Form Design view to arrange fields and add borders, colors, text labels, and graphics.
Related topics

Field formats

Change database views


Field formats

When you add a fielda column in List view that shows a category of information, such as a serial number or purchase date to a database, you can also select a format for the field. Select a field format that is appropriate for the type of information you want to enter in the field, such as names, dates, or serial numbers.

You can select from seven field formats:

Type | Description
General | Default format. Uses integer (123), decimal fraction (1.23), or exponential notation (123E+75).
Number | Currency symbols and separators, percent signs, leading zeros, True/False, and exponential notation.
Date | Day of the week, month, and year. Select from a list of predefined formats.
Time | Hours, minutes, and seconds. Select from a list of predefined formats.
Text | Words or information containing words and numbers.
Fraction | Fractions rounded or reduced to the number you specify. When you type a fraction, first type a 0; for example, type 0 1/32
Serialized | A numbered sequence, such as serial numbers, ID numbers, or index numbers.
Related topics

Change a number format


About Database views

You can show the same database information in several different views. To switch between views, you click a command on the View menu.

  • List view

    In List view, a database shows you fieldsa column in List view that shows a category of information, such as a serial number or purchase date and recordsall of the related information about one person, place, or thing in rows and columns. To switch to List view, click List on the View menu. Use List view to type information into fields, sort information, or create filters to see specific information.

    For example, in a travel database that includes the fields City, Hotel, and Dates, use List view to see all of the cities, hotels, and dates in the database.

  • Form view

    In Form view, the Database displays one record at a time. To switch to Form view, click Form on the View menu. Use Form view to see specific information from each field in the record or to update fields.

    For example, in the travel database, use Form view to see the specific city, hotel, and week of dates in one record.

  • Form Design view

    In Form Design view, you can customize the way fields appear on a form. To switch to Form Design view, click Form Design on the View menu. Use Form Design view to add borders, color, or shading to fields. You can also rearrange fields, and add text labels and objects to a database form.

    For example, to change the order in which you enter travel information in a database, use Form Design view.

  • Report view

    In Report view, you can customize a database for a report. Once you have created a report, you can switch to Report view, by clicking Report on the View menu. Use Report view to add or delete fields and group and sort database information. You can also specify any calculations that you want the Database to perform, such as counting and averaging information.

    For example, use Report view to print a record that includes only the cities and dates of the previous year's travel database.

Related topics

Change database views

About creating a database

About creating a report


Create and apply filters

Create a filtera way of specifying what information is displayed in a database to tell Works what information you want to display and print.

What do you want to do?

Create and apply a new filter

Create and apply a new filter to a report

Create and apply a filter using a formula

Filter for records that don't match an exact value

Filter for records that match an exact value

Filter for records that match specific values in more than one field

Filter for records that meet some or all of several conditions

Filter for records within a specific range

Filter for records that are above or below a specific value

Filter for records that meet one of several conditions


Use Database functions

What do you want to do?

Use a date or time function

Use a financial function

Use a math or trigonometric function

Use a text function

Use an information function

Related topics

Calculate a field's contents using a formula

Type a formula that uses a function

Type your own formula


Work with formulas

You can use a formulaan equation that calculates a new value from existing values to calculate the contentsthe information in a field of one fielda column in List view that shows a category of information, such as a serial number or purchase date based on the contents of other fields.
What do you want to do?

Calculate a field's contents using a formula

Type your own formula

Type a formula that uses a function


Add a blank column to a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the column heading to the right of where you want to insert the new column.

    If you want to insert more than one column, selectmove the plus sign to the beginning of a field or record, click and hold down the mouse button while moving the plus sign over the fields or records you want, and then release the mouse button as many columns as you want to insert.

  5. On the Insert menu, click Column.
Related topics

Add a blank row to a report

Delete a row or column from a report

About the report definition


Add a blank row to a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the heading to select the entire row below where you want to insert the new row.

    If you want to insert more than one row of the same type, selectmove the plus sign to the beginning of a cell or heading, click and hold down the mouse button while moving the plus sign over the cells or headings you want, and then release the mouse button as many rows as you want to insert.

  5. On the Insert menu, click Row.
  6. Click the row type you want to insert.
  7. Press Insert.
Related topics

Add a blank column to a report

Delete a row or column from a report

About the report definition


Add a calculation to a report

What are report calculations?
Reports provide seven functionsa built-in calculation that you can use to create a formulayou can use to calculate report information. For example, SUM totals the numbers in a numeric field, and COUNT gives you the number of items in a fielda column in List view that shows a category of information, such as a serial number or purchase date.

To perform calculations in a report, you insert a calculation in either a Summ fieldname row or a Summary row. If you've sorted and grouped fields in your report, you can insert a function in a Summ fieldname row, and Works will perform the calculation for the sorted group only. If you insert a function in a Summary row, Works performs the calculation for the entire report and prints the result at the end of the report.

  1. On the View menu, click Report.
  2. Click the report to which you want to add a calculation.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

    If you sorted on a fielda column in List view that shows a category of information, such as a serial number or purchase date before grouping, Works displays a Summ fieldname row, where fieldname is replaced with the name of the field you sorted on. An example might be Summ State. Below that row, Works also displays a Summary row.

  4. To display calculations for a sorted group, click the first cellthe intersection of a row and column that can contain text or numbers in the Summ fieldname row.

    - or -

    To display calculations for the entire report, click the first cell in the Summary row.

  5. On the Insert menu, click Field Summary.
  6. Click the field namethe name that appears at the top of each column in List view to identify each field of the field you want to calculate.

    For example, Item.

  7. Click the statistic you want Works to use in a calculation.

    For example, COUNT.

  8. Works inserts the calculation in the Summ fieldname or Summary row. For example, =COUNT(Item).

Related topics

Add a formula to a report

Add grouping to an existing report


Add a field

  1. On the View menu, click List.
  2. Click the field namethe name that appears at the top of each column in List view to identify each field next to where you want to add the new fielda column in List view that shows a category of information, such as a serial number or purchase date.

  3. On the Record menu, Insert Field, and then click Before or click After.

    Works displays the Insert Field dialog box.
  4. In the Field name box, type a new field name of up to 15 characters.
  5. Under Format, click the format you want.
  6. If the format has display options, under Appearance, click the way you want the format displayed.
  7. Click Add.
  8. Click Done.

    Works inserts the new field before or after the field you selected.

Tip

In Form Design view, you can add a field by clicking where you want to add the field, clicking Field on the Insert menu, and then typing a new field name.

Related topics

Change database views

Insert a blank record

Delete a field


Add a field entry to a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the cellthe intersection of a row and column that can contain text or numbers in the Record row where you want to add the field entry.
  5. On the Insert menu, click Field Entry.

    Works displays a list of the field namesthe name that appears at the top of each column in List view to identify each field in the database.

  6. Click the field name you want to insert.

  7. Works inserts an equal sign followed by the field name you chose. For example, =Item.

Tip

To see a preview of your report, click Print Preview on the File menu.

Related topics

About the report definition


Add a formula to a report

What can formulas do?
You can use standard arithmetic operators alone or together with functionsa built-in calculation that you can use to create a formula to calculate database and report information. For example, you might:
  • Find the average daily income for the past month (divide (/) the total sales amount by the number of days in the month by using =SUM(Total Sales)/31.
  • Calculate the overall sales for your company (add (+) the Total revenue in each District field by using =(District1+District2+District3)).
  • Find your bank balance (subtract (-) the Withdrawal field from the Deposit field by using =(DepositWithdrawal)).

The Works arithmetic operators are:

Operator | Function
+ | Addition
- | Subtraction
* | Multiplication
/ | Division
^ | Exponentiation
  1. On the View menu, click Report.
  2. Click the report to which you want to add a formula.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. If necessary, add a Record row (to calculate a statistic for fielda column in List view that shows a category of information, such as a serial number or purchase date entries), a Summ fieldname row (to calculate a statistic for a sorted group of recordsall of the related information about one person, place, or thing ), or a Summary row (to calculate a statistic for the entire report).
    5. How?
    1. Click the heading to select the entire row below which you want to insert the new row.

      If you want to insert more than one row of the same type, selectmove the plus sign to the beginning of a field or record, click and hold down the mouse button while moving the plus sign over the fields or records you want, and then release the mouse button as many rows as you want to insert.

    2. On the Insert menu, click Row.
    3. Click Insert.
  5. Click anywhere in the row where you want to type the formula.
  6. Type the formula, starting with an equal sign.

    For example, type =March Income+April Income to add the numbers in the two fields named March Income and April Income.

    Use parentheses to group the values or references you want the formula to calculate.

  7. Press ENTER.

Tip

To change how a formula result appears, click the cell containing the formula, choose Number from the Format menu, and then click the format you want.

Related topics

Add a calculation to a report

Field formats

Use Database functions


Add a button to the toolbar

  1. On the Tools menu, click Customize Toolbar.
  2. Under Categories, click the name of the menu for which you want to add a toolbar button.

    Each category contains toolbar buttons associated with a menu, and each toolbar button performs a particular action. To see a description of what each toolbar button does, click the button.

  3. Click the toolbar button you want to add, and then dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. it to the toolbar.
Related topics

Remove a button from the toolbar

Restore the default buttons to the toolbar


Add color and shading

  1. On the View menu, click Form Design.
  2. To add color and shading to the entire form, make sure no object on the form is highlighted.

    - or -

    Click the object to which you want to add color and shading.

  3. On the Format menu, click Shading.
  4. Under Shading, click the shading pattern you want.
  5. Under Colors, click the foreground and background colors you want.

    If you chose the solid shading pattern, the formatted object will display only the foreground color.

Tips

  • If you want to add color and shading to a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, click the field namethe name that appears at the top of each column in List view to identify each field of the field you want to change, and then complete steps 3 through 6 in the previous procedure.
  • If you want to add color and shading to a report, click Report on the View menu. Click the report you want to change, and then click Modify. Click the cellthe intersection of a row and column that can contain text or numbers or cells you want to change, and then complete steps 3 through 5 in the previous procedure.
Related topics

Draw a rectangle on a form

Put a border around an object

Remove color and shading


Add a field name to a report

  1. On the View menu, click Report.
  2. Click the report to which you want to add a field namethe name that appears at the top of each column in List view to identify each field.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the cellthe intersection of a row and column that can contain text or numbers where you want to add the field name.

    Field names are usually placed in Heading or fieldname row.

  5. On the Insert menu, click Field Name.

    Works displays a list of the field names in the database.

  6. Click the field name you want to insert.
  7. Press Insert.

Tips

  • To see a preview of your report, click Print Preview on the File menu.
  • To delete a field name, click the field name you want to remove, and then press DELETE.
Related topics

About the report definition


Add grouping to an existing report

Why add grouping?
Grouping is a way of chunking your sorted information. For example, if you have entered geographical information in two fieldsa column in List view that shows a category of information, such as a serial number or purchase date, one each for city and state, you might want to sort by city and state and then group the results by state.
  1. On the View menu, click Report.
  2. Click the report you want to group.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. On the Tools menu, click Report Sorting.
  5. Under Sort By, click the down arrow and then click the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to sort and group.
  6. To sort additional fields, click a second or third field under Then by.
  7. Click the Grouping tab.
  8. Click the grouping options you want for each sorted group.
  9. Click Done.

Tip

To see a preview of your report, click Print Preview on the File menu.

Related topics

Change how a report is grouped

Change how a report is sorted


Add a header or footer

  1. On the View menu, click Headers and Footers.
  2. In the Header box, type the header text you want.
  3. In the Footer box, type the footer text you want.
  4. If you don't want a page number in the header on the first page of a document, select the No header on first page check box.
  5. If you don't want a page number in the footer on the first page of a document, select the No footer on first page check box.

Notes

  • To see your headers and footers, on the File menu, click Print Preview.

  • If you want, you can type a header or footer code in the Header or Footer box.

    To | Type
    Print the page number | &p
    Print the current date (7/26/01) | &d
    Print the current date (July 26, 2001) | &n
    Print the current time | &t
    Print the file name | &f
    Print one ampersand (&) character &&
    Left-align the characters that follow | &l
    Right-align the characters that follow | &r
    Center the characters that follow | &c

Tip

To delete a section of the header or footer, select the section of the header or footer you want to delete, and then press DELETE. Make sure the header or footer margin allows enough space for the header or footer.

Related topics

Remove all headers and footers


Add page numbers

How do page numbers work?
Before you print, you may want to add page numbers to the top or bottom of your page. Page numbers that appear at the top of every printed page are called headers; page numbers that appear at the bottom of every printed page are called footers. Headers and footers aren't displayed on your screen, but you can see them when you preview or print your database.

Works provides header and footer codes, which are shortcuts for aligning page numbers to the left, right, or center. For example, to add page numbers and center them on the page, you would type &c&p in the Headers and Footers dialog box.

  1. On the View menu, click Headers and Footers.
  2. If you want numbers at the top of the page, type one of these codes in the Header box.

    - or -

    If you want numbers at the bottom of the page, type one of the codes below in the Footer box.

  3. If you don't want a page number in the header on the first page of a document, select the No header on first page check box.
  4. If you don't want a page number in the footer on the first page of a document, select the No footer on first page check box.

To add page numbers at | Type
Left | &l&p
Center | &c&p
Right | &r&p

Note

To see your page numbers, on the File menu, click Print Preview.

Tips

  • If you want the word Page to appear in the header or footer, type one of these codes.

    To add the word Page at | Type
    Left | &lPage&p
    Center | &cPage&p
    Right | &rPage&p

  • To number several printouts consecutively from files with different file names, open each file you want to print, and then for each file click Page Setup on the File menu. Click the Other Options tab, and then type the first page number in the Starting page number box. For example, if you have three documents of 30 pages each, the first page number of the first document is 1, the second document starts at 31, and the third starts at 61.


Add text, a number, or a date to a report

What kind of information can you add to a report?
You can add text to columns or rows to provide additional information about the report. For example, you can add:
  • Headings and titles.
  • Labels to explain calculations. For example, add the label "Total items" to describe a calculation that totals the number of items in a group.
  • Notes at the end of a report that explain how numbers were computed, who created the report, the names of other reports that contain related information, and so on.
  • A date to identify when the report was printed or when certain information was compiled.
  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click where you want to put the information.
  5. Type the information you want to add.

Tip

To see a preview of your report, click Print Preview on the File menu.

Related topics

About the report definition


Add a text label to a form

  1. On the View menu, click Form Design.
  2. Click where you want to add the text labeldescriptive text , such as a title, that you can add to a form.
  3. On the Insert menu, click Label.
  4. Type the text for the label.
  5. Press Insert.

Tips

  • You can change the size of the label text, and format labels as bold, italic, underlined, or a specific color to make them stand out from field names.
  • You can also create a text label by clicking where you want to insert the label and then typing the text for the label. If you want to include a colon in a label, type a double quotation mark (") before the label text, or Works will assume the label is a field namethe name that appears at the top of each column in List view to identify each field. For example, "Enter the name of the item first:.
Related topics

Change the position of a text label on a form

Put a border around an object

Add color and shading


Align fields and objects to a grid

When fields are aligned to a grid, a check mark appears next to Snap To Grid on the Format menu.

  1. On the View menu, click Form Design.
  2. To align fieldsa column in List view that shows a category of information, such as a serial number or purchase date and objects to a grid, click Snap To Grid on the Format menu.

    - or -

    To prevent fields and objects from aligning to a grid, click Snap To Grid again.

Related topics

Change database views


Apply an existing filter

  1. On the View menu, click List or click Form.
  2. On the Record menu, point to Apply Filter, and then click the filtera way of specifying what information is displayed in a database you want.
Related topics

Create and apply filters

Modify a filter

Apply an existing filter to a report


Apply an existing filter to a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. On the Tools menu, click Report Filter.

    The Report Settings dialog box appears.

  5. In the Select a filter box, click the filter you want to apply.

Tips

  • If you want to display only records that don't match the filter definition, in the Report Settings dialog box, select the filter you want to reverse. Click Modify Filter, select the Invert Filter check box, and then Click Done. Works reverses the filter and displays only the recordsall of the related information about one person, place, or thing that don't match the filter definition.
  • To see a preview of your report, click Print Preview on the File menu.
Related topics

Create and apply filters

Apply an existing filter


Calculate a field's contents using a formula

How do formulas calculate field contents?
You can use a formulaan equation that calculates a new value from existing values to calculate the contentsthe information in a field of one fielda column in List view that shows a category of information, such as a serial number or purchase date based on the contents of other fields. You can have only one formula in each field. When you type a formula in a field, that formula is automatically entered in the same field in all recordsall of the related information about one person, place, or thing. When you type information in a new record, the formula automatically creates a value for that field in the new record. Formula values are not displayed in blank records.
  1. On the View menu, click List.
  2. Click the field namethe name that appears at the top of each column in List view to identify each field to highlight the fielda column in List view that shows a category of information, such as a serial number or purchase date in which you want the formulaan equation that calculates a new value from existing values.
  3. Type an equal sign (=), and then type the formula. For example, type =price - deposit in a field named "Total Due" to create a formula that calculates the total amount due.

    In this example, "Price" and "Deposit" are the names of fields that contain the total price of an item and the deposit paid; "Total Due" is the name of a field that contains the total amount due for the item.

    Works displays the formula in the entry barthe area below the toolbar where you can type or edit information into a field or cell.

  4. Press ENTER.

    Works displays the formula in the entry bar, and the result of the formula in the field.

Tips

  • If Works displays the formula as text, click the field in which you are typing the formula, and then click Field on the Format menu. Under Format, click a format other than Text, and then click OK.
  • If you want to use a field name in a formula, but the field name resembles a number or functiona built-in calculation that you can use to create a formula, enclose the field name in single quotation marks (for example, 'Date').
Related topics

Type a formula that uses a function

Type default text or numbers for a field


Center text across several cells in a report

How is report information aligned?
When you create a database or a report, all information is formatted with general alignment, which means that text is aligned to the left, and dates and numbers are aligned to the right. However, you can change the alignment of any entry to the left, right, or center.

In Report view, you can center a text entry across several cells (or columns), which is another alignment choice. For example, you can center the title of a report by centering the text entered in one cell across several cells.

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the cellthe intersection of a row and column that can contain text or numbers containing the text you want to center, and then selectmove the plus sign to the beginning of a cell or heading, click and hold down the mouse button while moving the plus sign over the cells or headings you want, and then release the mouse button the cells across which you want to center the text.

    The text must be in the left-most cell of your selection.

  5. On the Format menu, click Alignment.
  6. Under Horizontal, click Center across selection.
Related topics

Change the alignment of field contents

Change the alignment of a report label or heading


Change the alignment of field contents

Please click one:

Change the horizontal alignment of field contents
Change the vertical alignment of field contents
  1. On the View menu, click List or click Form Design.
  2. In List view, click the field namethe name that appears at the top of each column in List view to identify each field of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to change.

    - or -

    In Form Design view, click the field contentsthe information in a field you want to change.

  3. On the Format menu, click Alignment.
  4. Under Horizontal, click the alignment you want.
  1. On the View menu, click List.
  2. In List view, click the field name of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to change.
  3. On the Format menu, click Alignment.
  4. Under Vertical, click the alignment you want.

Tip

If you see number signs (####) instead of numbers, the field size is too narrow. To make the field wider, double-click the field name in List view. In Form Design view, click the field you want to make wider, and then dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. the handlesin Form Design view, the small gray boxes at the corners and sides of a field or object until the number appears correctly.

Related topics

Change the alignment of a report label or heading


Change the alignment of a report label or heading

Please click one:

Change the horizontal alignment of a report label or heading
Change the vertical alignment of a report label or heading
  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the label or headingthe column or row indicator, such as A, B, C for columns, and 1, 2, 3 for rows you want to change.
  5. On the Format menu, click Alignment.
  6. Under Horizontal, click the alignment you want.
  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the label or headingthe column or row indicator, such as A, B, C for columns, and 1, 2, 3 for rows you want to change.
  5. On the Format menu, click Alignment.
  6. Under Vertical, click the alignment you want.


Change a number format

  1. On the View menu, click List or click Form Design.
  2. In List view, click the field namethe name that appears at the top of each column in List view to identify each field of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to change.

    - or -

    In Form Design view, click the contentsthe information in a field you want to change.

  3. On the Format menu, click Field.
  4. Under Format, click Number.
  5. Under Appearance, click the format you want.

    If you want a default value for the field, select the Automatically enter a default value check box, and then type the default value.

Tips

  • If you see number signs (####) instead of numbers, the field size is too narrow. To make the field wider, double-click the field name in List view. In Form Design view, click the field you want to make wider, and then dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. the handlesin Form Design view, the small gray boxes at the corners and sides of a field or object until the number appears correctly.
  • If you typed a number starting with zero and the zero disappeared, follow steps 1 through 4, and then click 01235 under Appearance.
Related topics

Field formats

Change database views


Change database views

Why change views?
Use different views to see your database information in different ways. View all your recordsall of the related information about one person, place, or thing and fieldsa column in List view that shows a category of information, such as a serial number or purchase date at once in List view. Form view is best for entering information into one record at a time, and Form Design view lets you customize your forms. Use Report view to organize and print specific information according to your needs.
  • To see fieldsa column in List view that shows a category of information, such as a serial number or purchase date and recordsall of the related information about one person, place, or thing as rows and columns, on the View menu, click List.

    - or -

    To see one record at a time, on the View menu, click Form.

    - or -

    To design a form, on the View menu, click Form Design.

    - or -

    To see a report you've created with Report Creator, on the View menu, click Report.

Note

If you created a database from a Works database template, some reports are already created for you. If you did not use a template, you must create a report before switching to Report view. To create a report, on the Tools menu, click ReportCreator.

Tip

You can also switch views by using the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document.. Click List view List view toolbar button for List view, Form view Form view toolbar button for Form view, Form Design Form Design view toolbar button for Form Design view, or Report view Report view toolbar button for Report view.

Related topics

About Database views

About creating a report


Change a field name

  1. On the View menu, click List.
  2. Click the name of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to change.
  3. On the Format menu, click Field.
  4. Type a field name of up to 15 characters.

Tip

You can also change a field name on a database form. In Form Design view, click the contentsthe information in a field of the field you want to change, click Field on the Format menu, type a new name, and then click OK.

Related topics

Change database views

Add a field

Clear the contents of a field


Change the height of a row in a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. With the mouse pointer, point to the lower border of the title of the row you want to change.
  5. When the pointer looks like this Adjust dragclick the border of the column or row you want to resize, hold down the mouse button, move the mouse until the object is the size you want, and then release the mouse button the border until the row is the size you want.

Tip

You can also change the row height by selecting the row, clicking Row Height on the Format menu, and then typing a number in the Row Height box. Or, click Best Fit in the Row Height box to change the row height to fit the largest entry.

Related topics

Change the width of a column in a report

Center text across several cells in a report


Change how a report is grouped

Why change grouping?
Grouping is a way of chunking and organizing your sorted information. For example, if you have entered geographical information in two fieldsa column in List view that shows a category of information, such as a serial number or purchase date, one each for city and state, you might want to sort by city and then group the results by state. Later, however, as your database grows, you may decide to group by different fields, such as region, or even country.
  1. On the View menu, click Report.
  2. Click the report you want to group.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. On the Tools menu, click Report Sorting.

    You need to clear your previously sorted fieldsa column in List view that shows a category of information, such as a serial number or purchase date before you can change the grouping options.

  5. Under Sort By, click the down arrow, and then click (None) to clear your previous sort.

    If you have additional fields sorted under Then by, click the down arrow, and then and click (None).

  6. Click Done.
  7. Click Yes.
  8. On the Tools menu, click Report Sorting.
  9. Under Sort By, click the down arrow and click the field you want to sort by.

    To sort additional fields, click a second or third field under Then by.

  10. Click the Grouping tab.
  11. Choose the grouping options you want for each sorted field.
  12. Click Done.

Tip

To see a preview of your report, click Print Preview on the File menu.

Related topics

Change how a report is sorted

Add grouping to an existing report


Change how a report is sorted

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. On the Tools menu, click Report Sorting.
  5. To change the first sorted field, under Sort By, click the down arrow, and then click the new field you want to sort by.
  6. Choose the sort order you want by clicking either Ascending or Descending.
  7. To change the other sorted fields, under Then by, click the field you want, and then click the sort order.
  8. Click Done.

Tip

If you want to sort more than one field at a time, sort the most important field first. For example, if you are sorting a list of names, sort by Last Name first, and then sort by First Name. That way, any duplicate last names are alphabetized by first names.

Related topics

Add grouping to an existing report

Change how a report is grouped


Change the position of a text label on a form

  1. On the View menu, click Form Design.
  2. Click the text labeldescriptive text , such as a title, that you can add to a form you want to move.
  3. DragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. it to its new position.

Tip

You can also move a text label by clicking Position Selection on the Edit menu, and then using the arrow keys on your keyboard, moving the text label to its new position on the form.

Related topics

Add a text label to a form

Delete a text label from a form


Change the field width to fit the largest entry

What is the default field and record width?
When you create a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, the default field is 10 characters wide and each recordall of the related information about one person, place, or thing is the height of the font size.

When you create a new field on a form, the default is 20 characters wide by 1 line high. In either view, you can change the default dimensions to fit the information you type.

  1. On the View menu, click List.
  2. Double-click the fielda column in List view that shows a category of information, such as a serial number or purchase date name.

    Works adjusts the field to the correct width for the largest entry.

Tip

You can also change the field width by using the menu. Click the field name of the field you want to change, click Field Width on the Format menu, and then click Best Fit.

Related topics

Change the record height to fit the largest entry

Change the size of a field

Change database views


Change the name of a report

  1. On the Tools menu, click Rename Report.
  2. Click the report you want to rename.
  3. In the Type a name below box, type a new name of up to 15 characters.
  4. Click Rename.
Related topics

Delete a report

Copy a report


Change the record height to fit the largest entry

What is the default field and record height?
When you create a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, by default each field is 10 characters wide and each recordall of the related information about one person, place, or thing is the height of the font size. You can change the default dimensions to fit the information you type.
  1. On the View menu, click List.
  2. Double-click the record numberthe row number to the left of each record in List view.

    Works adjusts the recordall of the related information about one person, place, or thing to the correct height for the largest entry.

Tip

You can also change the record height by using the menu. Click the record number of the record you want to change, click Record Height on the Format menu, and then click Best Fit.

Related topics

Change the field width to fit the largest entry

Change the size of a field

Change database views


Change the size of a field

What is the default field size?
When you create a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, by default each field is 10 characters wide and each recordall of the related information about one person, place, or thing is the height of the font size.

When you create a new field on a form, it is 20 characters wide by 1 line high. In either view, you can change the default field dimensions to fit the information you type.

  1. On the View menu, click List.
  2. Click the field's namethe name that appears at the top of each column in List view to identify each field you want to change.
  3. On the Format menu, click Field Width.
  4. Type the width you want.

    If you set the field width to zero, Works hides the field.

Tips

  • If you see number signs (####) instead of numbers, the field size is too narrow. To make the field wider, double-click the field name in List view. In Form Design view, click the field you want to make wider, and then dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. the handlesin Form Design view, the small gray boxes at the corners and sides of a field or object until the number appears correctly.
  • In Form Design view, you can change the size of a field by clicking the contentsthe information in a field of the field you want to change. Click Field Size on the Format menu, type the width and height you want, and then click OK.
  • In List view or Form Design view, you can also change the size of a field by dragging the border of a field to a new location.
Related topics

Change the field width to fit the largest entry

Change the record height to fit the largest entry

Change database views


Change the tab order of fields on a form

What is the tab order?
The tab order is the order in which you move from fielda column in List view that shows a category of information, such as a serial number or purchase date to field on a form by pressing the TAB key. The default tab order is from left to right, and then from top to bottom. You can change the default tab order to make it easier to move between related fields on a form.
  1. On the View menu, click Form Design.
  2. On the Format menu, click Tab Order.
  3. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date whose order you want to change.
  4. To move the field higher in the tab order, click Up.

    - or -

    To move the field lower in the tab order, click Down.

Tips

  • If you change the tab order and then add a new field to the database, Works places the new field at the end of the tab order, regardless of where the field appears in List view or on your form.
  • If you want to exclude a field from the tab order, click Form Design on the View menu, click the field you want to exclude, and then click Protection on the Format menu. Under Protection, select the Protect field check box, and then click OK.
Related topics

Change database views

Design a database form


Change the width of a column in a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. With the mouse pointer in the top row, point to the right border of the column.
  5. When the pointer looks like this Column width dragclick the border of the column or row you want to resize, hold down the mouse button, move the mouse until the object is the size you want, and then release the mouse button the border until the column is the size you want.

Tip

You can also change the column width by clicking the column you want to change, clicking Column Width on the Format menu, and then typing a number in the Column Width box.

Related topics

Change the height of a row in a report

Center text across several cells in a report


Clear a formula

  1. On the View menu, click List.
  2. Click the name of the field that contains the formula you want to clear.
  3. On the Edit menu, click Clear Formula.

    Works clears the formula from the field in all recordsall of the related information about one person, place, or thing, but keeps any formatting you applied to the field. To change the formatting, click Field on the Format menu.

Related topics

Type a formula that uses a function

Type your own formula

Clear the contents of a field


Clear the contents of a field

What is the difference between clearing the contents of a field and deleting a field?
When you clear the contentsthe information in a field of a field, Works removes any text or numbers contained in the field, but keeps any formatting and formulas.
  1. Click the contentsthe information in a field you want to clear.
  2. On the Edit menu, click Clear.

Tip

You can also clear field contents by clicking the field with the right mouse button, and then clicking Clear.

Related topics

Clear a formula

Delete a field


Copy a report

  1. On the Tools menu, click Duplicate Report.
  2. Click the report you want to copy.
  3. In the Type a name below box, type a new name of up to 15 characters.
  4. Click Duplicate.
Related topics

Change the name of a report

Delete a report

Copy report information to another program


Copy a field

  1. On the View menu, click List.
  2. Click the field name of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to copy.
  3. On the Edit menu, click Copy.
  4. Click where you want to copy the field.
  5. On the Edit menu, click Paste.

Tip

If you want to copy a field without replacing any existing information, copy it into a new field. Click the field name next to where you want to insert the new field. On the Record menu, point to Insert Field, click Before or click After, click Add, and then Click Done.

Related topics

Copy the contents of a field

Copy the contents of a field into adjacent fields

Copy a record


Copy the contents of a field

  1. On the View menu, click List or click Form.
  2. Click the field contentsthe information in a field you want to copy.
  3. On the Edit menu, click Copy.
  4. Click where you want to paste the copy of the field contents.
  5. On the Edit menu, click Paste.

Tip

In List view and in Form view, you can move the contents of a field by clicking Cut Cut button and Paste Paste button on the toolbar, or by clicking the Cut and Paste commands on the Edit menu.

Related topics

Change database views

Copy a field

Copy the contents of a field into adjacent fields


Copy a record

  1. On the View menu, click List.
  2. Click the record numberthe row number to the left of each record in List view to select the record you want to copy.
  3. On the Edit menu, click Copy.
  4. Click the record number of where you want to copy the record.
  5. On the Edit menu, click Paste.

Tips

  • In List view, you can copy a record without replacing any existing information by creating a new record. Click the record number below where you want to insert the new record, and then click Insert Record on the Record menu. To copy a record, you can click Cut Cut toolbar button and Paste Paste toolbar button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document..
  • In Form view, you can copy a selected record by clicking the Cut and Paste commands on the Edit menu, and then clicking the arrow buttons at the bottom of the window to move the copied information to a new location.
Related topics

Insert a blank record

Copy a field

Copy the contents of a field


Copy report information to another program

What happens when I copy report information to another program?
You can copy a report to another Works program or another Windows program. Works copies the same information that you would get if you printed the report. It performs all report instructions, including any calculations, and then copies the report output to the document in the other program.

When you copy a report to a Word Processor document, Works separates the columns with tab marks and ends each row with a paragraph mark.

If you copy a report to a Spreadsheet document, Works places the contents of each entry in a report row into a separate cellthe intersection of a row and column that can contain text or numbers in a spreadsheet row.

After copying the report to another document, you might need to adjust column widths to display the report information properly.

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Selectmove the plus sign to the beginning of a cell or heading, click and hold down the mouse button while moving the plus sign over the cells or headings you want, and then release the mouse button the part of the report you want to copy.

    If you want to copy the entire report, don't select anything.

  5. On the Edit menu, click Copy Report Output.
  6. Open the program and document into which you want to paste the report.
  7. On the Edit menu, click Paste.

Tips

  • If you are copying into a Works Word Processing document, you will have to align the information using custom tabs. This is done by all the information in the report, selecting Tabs on the Format menu, and then selecting the options you want under Custom.
  • If you are copying into a Spreadsheet document, you can change the column width in the spreadsheet by clicking the column heading, and then draggingSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. the edge of the column heading when the pointer looks like this: Column width.
Related topics

Copy a report


Copy the contents of a field into adjacent fields

  1. On the View menu, click List.
  2. Selectmove the plus sign to the cell or field you want, double-click with the mouse, move the insertion point to the beginning of the text, click and hold down the mouse button while you move the insertion point over the text you want, and then release the mouse button the contentsthe information in a field you want to copy.
  3. DragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. down or to the right to select the adjacent fields that you want to copy information to.
  4. On the Edit menu, click Fill Down or click Fill Right.
Related topics

Change database views

Copy a field

Copy the contents of a field


Create and apply a filter using a formula

How do filters work with formulas?
When you create a filtera way of specifying what information is displayed in a database that contains a formulaan equation that calculates a new value from existing values, you might use a Works functiona built-in calculation that you can use to create a formula as part of your formula. Some examples of using functions in a filter formula are:
  • To filter for all payments due in March, type =MONTH(field)=3.
  • To filter for all recordsall of the related information about one person, place, or thing where the value in a fielda column in List view that shows a category of information, such as a serial number or purchase date is approximately 15, type =ROUND(field, 0)=15.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Click Filter using formula.
  4. To begin a formulaan equation that calculates a new value from existing values, type an equal sign (=).
  5. Type the formula.
  6. Click Apply Filter.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Use Database functions

Type a formula that uses a function


Create and apply a new filter

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Click Easy Filter.
  4. Under Field name, click the down arrow, and then click a fielda column in List view that shows a category of information, such as a serial number or purchase date for which you want to find matching recordsall of the related information about one person, place, or thing.
  5. Under Comparison, click the down arrow, and then click a comparison phrase.

    Comparison values are not case-sensitive. For example, typing Smith will find Smith, smith, and SMITH.

  6. Under Compare To, type the text or values to which you want Works to compare the field.

    If you want to find records in which the contents are similar but not exactly the same, use a wildcarda keyboard character, most commonly a question mark (?) or an asterisk (*), that can be used to represent and search for a combination of characters or numbers.

  7. To find records that match the criteria in both fields you are filtering on, click and.

    - or -

    To find records that match the criteria in either field, click or.

  8. Repeat steps 4 through 7 for each field you want to add to the filter.
  9. Click Apply Filter.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Find specific text or numbers

Create and apply filters


Create and apply a new filter to a report

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. On the Tools menu, click Report Filter.
  5. Click Create New Filter.
  6. Type a name for the filter, and then click OK.

    The Filter dialog box appears.

  7. Click Easy Filter.
  8. Under Field name, click the down arrow, and then click a fielda column in List view that shows a category of information, such as a serial number or purchase date for which you want to find matching recordsall of the related information about one person, place, or thing.
  9. Under Comparison, click the down arrow, and then click a comparison phrase.
  10. Under Compare to, type the text or values to which you want Works to compare the field.

    If you want to find records in which the contents are similar but not exactly the same, use a wildcarda keyboard character, most commonly a question mark (?) or an asterisk (*), that can be used to represent and search for a combination of characters or numbers.

  11. To find records that match the criteria in both fields you are filtering on, click and.

    - or -

    To find records that match the criteria in either field, click or.

  12. Repeat steps 8 through 11 for each field you want to add to the filter.

Tips

  • You can display only records that don't match the filter definition. In the Filter dialog box, select the Invert Filter check box, and then click OK. Works reverses the filter and displays only the records that don't match the filter definition.
  • To create a complex filter that requires a formula, select the Filter using formula radio button in the Filter dialog box.
Related topics

Create and apply filters

Find specific text or numbers


Create a report

How is a report created?
The Works ReportCreator guides you through the steps necessary to create a report. When you create a report with the ReportCreator, Works automatically creates a report definitiondisplays information about a report in rows and columns. If you want to change your report, you can change the report definition.

Initially, Works inserts the necessary rows to create the report you specified. You can insert as many additional rows as you like, of any type. You can also delete any rows you do not want.

  1. On the Tools menu, click ReportCreator.
  2. Type a name of up to 15 characters for your report.
  3. Click OK.
  4. In the Report title box, type the title you want to appear on your report.
  5. Click the Fields tab.
  6. In the Fields available list, double-click each fielda column in List view that shows a category of information, such as a serial number or purchase date you want to add to the report.
  7. Customize the report by sorting, grouping, filtering, and adding summary information.
    8. How?
    • If you want to sort information for your report, click the Sorting tab.

      Under Sort By, click the down arrow, and then click the field you want to sort for your report.

    • If you want to group information, click the Grouping tab.

      Under Group by, click the options you want.

    • If you want to filtera way of specifying what information is displayed in a database certain records, click the Filter tab.

      In the Select a filter list, click a filter.

      If you want to create a filter, click Create New Filter.

    • If you want to add summary information to your report, click the Summary tab, and then click the summary options you want.
  8. Click Done.

    Works creates your report and displays a message.

  9. To see your report data, click Preview.

    - or -

    To see your report definitiondisplays information about a report in rows and columns and make changes to it, click Modify.

Tip

To see your database again, click List on the View menu.

Related topics

Create and apply a new filter to a report

About the report definition


Create a new blank database

  1. On the File menu, click New.

    Works displays a list of tasks for the Works Database.

  2. Click Start a blank database.
  3. In the Create Database dialog box, type a name for the first fielda column in List view that shows a category of information, such as a serial number or purchase date in the Field name box.
  4. Under Format, click the option that describes the information you will type into the field.
  5. Under Appearance, if available, click the option or options you want.
  6. Click Add.
  7. When you finish adding field namesthe name that appears at the top of each column in List view to identify each field, click Done.

    Works displays the database in List view with the fields you specified.

Tip

You can also create a new blank database by clicking New New button on the toolbar on the toolbar.

Related topics

About creating a database

Field formats

Save a new document

Insert a blank record

Add a field


Create a new serialized field

What is a serialized field?
Works can save you time by creating a series of numbers or dates automatically. For example, if you type the first item in a series, such as January 1, 2000, Works automatically fills in January 2, January 3, and so on, for as many fieldsa column in List view that shows a category of information, such as a serial number or purchase date as you select.

You can create a serialized field that contains a series of ID numbers, a series of dates, or a series of model numbers. If you insert a new recordall of the related information about one person, place, or thing, or select records in a serialized field, Works automatically fills in the field contentsthe information in a field of the new records according to the increments you specify.

  1. On the View menu, click List or click Form Design.
  2. Click where you want to insert the new fielda column in List view that shows a category of information, such as a serial number or purchase date.

  3. In List view, on the Record menu, point to Insert Field, and then click Before or click After.

    - or -

    In Form Design view, click Field on the Insert menu.

  4. In the Field name box, type a name for the field.
  5. Under Format, click Serialized.
  6. Under Appearance, in the Next value box, type a starting number.
  7. In the Increment box, type or select the number by which you want to increase each recordall of the related information about one person, place, or thing.
  8. In List view, click Add, and then Click Done.

    - or -

    In Form Design view, click OK.

    Each time you add a new record, Works fills in the starting number of the serialized field.

Related topics

Make an existing field serialized

Type a series of numbers or dates


Delete a filter

  1. On the Tools menu, click Filters.

    This command is available in List, Form, and Form Design view.

  2. In the Filter name box, click the down arrow, and then click the filter you want to delete.
  3. Click Delete Filter.
Related topics

Create and apply filters


Delete a report

Each database can have no more than eight reports, so you might have to delete an existing report before creating a new one.

  1. On the Tools menu, click Delete Report.
  2. Click the report you want to delete.
  3. Click Delete.
Related topics

Change the name of a report

Copy a report


Delete a row or column from a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the row or column heading to select the entire row or column you want to delete.

    If you want to delete more than one row or column, selectmove the plus sign to the beginning of a cell or heading, click and hold down the mouse button while moving the plus sign over the cells or headings you want, and then release the mouse button as many adjacent rows or columns as you want to delete.

  5. On the Insert menu, click Delete Row or Delete Column.
Related topics

Add a blank column to a report

Add a blank row to a report


Delete a field

  1. On the View menu, click List.
  2. Click the field namethe name that appears at the top of each column in List view to identify each field of the fielda column in List view that shows a category of information, such as a serial number or purchase date that you want to delete.
  3. On the Record menu, click Delete Field.

Tip

You can also delete a field in Form Design view by clicking the field, and then clicking Delete Selection on the Edit menu. In Form Design view, if you delete a field and then change your mind, you cannot undo the deletion.

Related topics

Change database views

Clear the contents of a field

Replace the contents of a field


Delete a page break

  1. On the View menu, click List.
  2. To delete a horizontal page break, click the record numberthe row number to the left of each record in List view below the page break to select the entire recordall of the related information about one person, place, or thing.

    - or -

    To delete a vertical page break, click the field namethe name that appears at the top of each column in List view to identify each field to the right of the page break to select the entire fielda column in List view that shows a category of information, such as a serial number or purchase date.

  3. On the Format menu, click Delete Page Break.

Tips

  • To delete a page break from a form, click Form Design on the View menu. Click the field in the line below the page break, and then click Delete Page Break on the Format menu.
  • To delete a page break from a report, click Report on the View menu. Click the report you want, and then click Modify. To delete a horizontal page break, click the row heading below the page break to select the entire row, and then click Delete Page Break on the Format menu. To delete a vertical page break, click the column heading to the right of the page break to select the entire column, and then click Delete Page Break on the Format menu.
Related topics

Insert a page break


Delete a record

  1. On the View menu, click List.
  2. To delete a record, click the record numberthe row number to the left of each record in List view for the recordall of the related information about one person, place, or thing you want to delete.

    - or -

    To delete more than one record at a time, hold down the SHIFT key and dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. down the adjacent record numbers you want to delete.

  3. On the Record menu, click Delete Record.

Tip

You can also delete a record in Form view by clicking the arrow keys at the bottom of the window to move to the record you want to delete, and then clicking Delete Record on the Record menu.

Related topics

Delete a field

Insert a blank record


Delete a text label from a form

  1. On the View menu, click Form Design.
  2. Click the text labeldescriptive text , such as a title, that you can add to a form you want to delete.
  3. On the Edit menu, click Delete Selection.
Related topics

Add a text label to a form

Change the position of a text label on a form


Draw a rectangle on a form

  1. On the View menu, click Form Design.
  2. Click where you want to place the rectangle.
  3. On the Insert menu, click Rectangle.
  4. To move the rectangle, dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. it to the position you want.
  5. To resize the rectangle, click the rectangle, and then drag a handlein Form Design view, the small gray boxes at the corners and sides of a field or object until the rectangle is the size you want.

Tips

  • You can also insert a rectangle by using the right mouse button to click where you want the rectangle. Then, on the shortcut menu, click Insert Rectangle.
  • To delete a rectangle, click the rectangle, and then press DELETE.
Related topics

Add color and shading

Put a border around an object


Edit the contents of a field

  1. On the View menu, click List.
  2. Selectmove the plus sign to the cell or field you want, double-click with the mouse, move the insertion point to the beginning of the text, click and hold down the mouse button while you move the insertion point over the text you want, and then release the mouse button the field contentsthe information in a field you want to change.
  3. Make the changes you want.
  4. Press ENTER.

Tips

  • In List view, you can also change the field contents by clicking the field contents in the entry barthe area below the toolbar where you can type or edit information into a field or cell. Then, make your changes. Click the entry buttona button with a check mark to the left of the entry bar that enters information from the entry bar into a field or cell to confirm your changes.
  • In Form view, click the field contents you want to change, make the changes you want, and then press ENTER to accept the changes.
Related topics

Clear the contents of a field

Delete a field

Replace the contents of a field


Filter for records that meet one of several conditions

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Under Field name, click the down arrow, and then click the first fielda column in List view that shows a category of information, such as a serial number or purchase date for which you want to find matching recordsall of the related information about one person, place, or thing.

    For example, click last name.

  4. Under Comparison, click the down arrow, and then click is equal to.
  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type Wood.

  6. To find all records that match at least one of the specified conditions, click the down arrow to the left of Field name, and then click or.
  7. Under Field name, in the second row, click the down arrow, and then click the same field as in step 3.

    For example, click last name.

  8. Under Comparison, click the down arrow, and then click is equal to.
  9. Under Compare To, type the text or values to which you want Works to compare this field.

    For example, type Spencer.

    This filter finds all records where the last name is Wood or Spencer.

  10. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Filter for records that don't match an exact value

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Under Field name, click the down arrow, and then click the fielda column in List view that shows a category of information, such as a serial number or purchase date for which you want to find nonmatching recordsall of the related information about one person, place, or thing.

    For example, click last name.

  4. Under Comparison, click the down arrow, and then click is not equal to.
  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type Wood.

    This filter finds all records where the last name is not Wood.

  6. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Filter for records that have some contents in common

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. For example, click Address.

  4. Under Comparison, click the down arrow, and then click Contains.
  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type 123rd St.

    This filter finds all records that have an address on 123rd Street. Works looks for any part of the address that contains "St" in case the word "Street" isn't abbreviated (as long as "St" is preceded by "123rd").

  6. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

  7. Click Yes to save changes to your filter.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Filter for records that match an exact value

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Under Field name, click the down arrow, and then click the fielda column in List view that shows a category of information, such as a serial number or purchase date for which you want to find matching records.

    For example, click Cost.

  4. Under Comparison, click the down arrow, and then click is equal to.
  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type 100.

    This filter finds all records for items that cost $100.

  6. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Find specific text or numbers

Create and apply filters


Filter for records that match specific values in more than one field

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. For example, click last name.

  4. Under Comparison, click the down arrow, and then click is equal to.
  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type Thorson.

  6. On the line below, click the down arrow, and then click and.
  7. Repeat steps 3 through 5 for the second field for which you want to find matching records.

    For example, click first name, click is equal to, and then type Glenn.

    This filter finds all records where the last name is Thorson and the first name is Glenn. You can make the filter more precise by adding additional fields.

  8. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Filter for records that meet some or all of several conditions

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. For example, click last name.

  4. Under Comparison, click the down arrow, and then click is equal to.
  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type Gilmore.

  6. To find all records that match at least one of the specified conditions, click the down arrow to the left of Field name, and then click or.
  7. Under Field name, in the second row, click the down arrow, and then click the same field as in step 3.

    For example, click last name.

  8. Under Comparison, click the down arrow, and then click is equal to.
  9. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type Gabour.

  10. Click the down arrow to the left of Field name, and then click and.
  11. Under Field name, in the third row, click the down arrow, and then click the field you want to add to the filter.

    For example, click city.

  12. Under Comparison, click the down arrow, and then click is equal to.
  13. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type London.

    This filter finds all records where the last name is either Gilmore or Gabour and the city is London.

  14. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Filter for records within a specific range

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Under Field name, click the down arrow, and then click the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to be within the range.

    For example, click last name.

  4. To set up the first half of the range, under Comparison, click the down arrow, and then click is less than, is greater than, is less than or equal to, or is greater than or equal to.

    For example, click is greater than or equal to.

  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type B.

  6. Click the down arrow to the left of Field name, and then click and.
  7. Under Field name, in the second row, click the down arrow, and then click the same field as in step 3.

    For example, click last name.

  8. To set up the second half of the range, under Comparison, click the down arrow, and then click is less than, is greater than, is less than or equal to, or is greater than or equal to.

    For example, click is less than or equal to.

  9. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type N.

    This filter finds all recordsall of the related information about one person, place, or thing where the last name begins with a letter between B and N.

  10. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Filter for records that are above or below a specific value

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters.
  2. If this is the first filtera way of specifying what information is displayed in a database you are creating for this database, type a name for the filter in the Filter Name dialog box, and then click OK.

    - or -

    If you have created at least one filter already, click New Filter, type a name for the new filter, and then click OK.

    The Filter dialog box appears.

  3. Under Field name, click the down arrow, and then click the fielda column in List view that shows a category of information, such as a serial number or purchase date to which you want to compare the value.

    For example, click Cost.

  4. Under Comparison, click the down arrow, and then click is less than, is greater than, is less than or equal to, or is greater than or equal to.

    For example, click is less than.

  5. Under Compare To, type the text or values to which you want Works to compare the field.

    For example, type 1000.

    This filter finds all recordsall of the related information about one person, place, or thing for items that cost less than $1000.

  6. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close.

Tips

  • To show all records again, on the Record menu, point to Show, and then click All Records.
  • If you can't create a new filter, you might need to delete an existing filter before creating a new one. You can have only eight filters per database.
Related topics

Create and apply filters


Find specific text or numbers

What is the best way to find information in a database?
You can search a database in either List view or Form view to find specific information or a specific recordall of the related information about one person, place, or thing. If you want, you can display only those records that contain the information you searched for, and print or create a report from those records.

When searching, you can use wildcardsa keyboard character, most commonly a question mark (?) or an asterisk (*), that can be used to represent and search for a combination of characters or numbers to find information that contains a part of, but does not exactly match, what you're searching for. For example, use the question mark (?) wildcard to type anders?n and find both "Anderson" and "Andersen." Or, use the asterisk (*) wildcard to type s*s and find all words that begin and end in "s," such as "series" and "salaries."

  1. On the View menu, click List or click Form.
  2. On the Edit menu, click Find.
  3. In the Find what box, type the characters (text or numbers) for which you want to search.
  4. To find the next occurrence of the search characters but not search further, click Next record.

    - or -

    To find all records in the database that contain the search characters, and then display those records only, click All Records.

    If you clicked Next record, Works highlights the first field that contains the characters.

    - or -

    If you clicked All Records, Works displays all the records with values that match the search characters.

  5. To repeat a search, press SHIFT+F4.

Note

If any recordsall of the related information about one person, place, or thing are hidden, those records will not be searched using Next record. Hidden records will be searched using All Records.

Tips

  • If you want to limit your search to a specific field, click the field namethe name that appears at the top of each column in List view to identify each field in List view to select the field you want to search before clicking Find on the Edit menu.
  • To show all records again, on the Record menu, point to Show, and then click All Records.
Related topics

Filter for records that match an exact value

Hide a record


Go to a specific field or record

  1. On the Edit menu, click Go To.

    This command is available in List, Form, and Form Design view.

  2. In the Go To box, type the field namethe name that appears at the top of each column in List view to identify each field or record numberthe row number to the left of each record in List view to which you want to go,

    - or -

    Under Select a field, click the field name to which you want to go.

Note

If a record is hidden, Works will not go to that record. You can show hidden records. To show all records again, on the Record menu, point to Show, and then click All Records.

Related topics

Find specific text or numbers

Hide a record

Show all records


Hide a field

  1. On the View menu, click List.
  2. Click the field namethe name that appears at the top of each column in List view to identify each field of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to hide.
  3. On the Format menu, click Field Width.
  4. Type 0 (zero).
Related topics

Show a hidden field

Hide a record

Hide a field name


Hide a record

  1. On the View menu, click List.
  2. To hide a recordall of the related information about one person, place, or thing, click the record numberthe row number to the left of each record in List view of the record you want to hide,

    - or -

    To select adjacent records, dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. to select more than one.

  3. On the Record menu, click Hide Record.

Tips

  • You can hide nonadjacent records in List view by marking them first. Select the check box next to the record number of each record you want to hide. Then, on the Record menu, point to Show, and then click Unmarked Records.
  • To hide a record in Form view, go to the record you want to hide by using the arrow buttons at the bottom of the record window, and then click Hide Record on the Record menu.
Related topics

Show all records

Switch between hidden and displayed records

Hide a field


Insert a blank record

  1. On the View menu, click List.

  2. Click the record numberthe row number to the left of each record in List view to select where you want to insert a blank recordall of the related information about one person, place, or thing.

  3. On the Record menu, click Insert Record.

Tips

  • In List view, you can also insert a record by using the right mouse button to click the record number where you want to insert the new record, and then clicking Insert Record.
  • In Form view, you can insert a record by pressing the arrow buttons at the bottom of the record window to move to the location where you want to insert the blank record, and then clicking Insert Record on the Record menu.
Related topics

Change database views

Add a field

Delete a field


Insert a page break

  1. On the View menu, click List.
  2. To insert a horizontal page break, click the record numberthe row number to the left of each record in List view to select the recordall of the related information about one person, place, or thing with which you want to start the new page.

    - or -

    To insert a vertical page break, click the field namethe name that appears at the top of each column in List view to identify each field to select the entire fielda column in List view that shows a category of information, such as a serial number or purchase date with which you want to start the new page.

  3. On the Format menu, click Insert Page Break.

    Works shows the page break as a dotted line.

Tips

  • You can also insert a page break on a form. On the View menu, click Form Design. Click the field in the line with which you want to start the new page. On the Format menu, click Insert Page Break.
  • To insert a page break on a report, click Reports on the View menu. Click the report you want, and then click Modify. Click the row heading to select the entire row with which you want to start the new page, or click the column heading to select the entire column. On the Format menu, click Insert Page Break.
Related topics

Delete a page break

Add grouping to an existing report

Print more than one record form on a page


Make an existing field serialized

Why create a serialized field?
Works can save you time by automatically creating a series of numbers or dates. For example, assume you travel monthly and maintain a travel database with the fieldsa column in List view that shows a category of information, such as a serial number or purchase date City, Hotel, and Dates. Instead of typing each month manually into the Dates field, you can have Works automatically enter the next month in the Dates field each time you create a new recordall of the related information about one person, place, or thing.

You can create a serialized field that contains a series of ID numbers, dates, or model numbers. If you insert new records, Works automatically fills in the field contentsthe information in a field of the new records by using the increments you specify.

  1. On the View menu, click List or click Form Design.
  2. In List view, click the field name of the field you want to serialize.

    - or -

    In Form Design view, click the contentsthe information in a field of the field you want to serialize.

  3. On the Format menu, click Field.
  4. Under Format, click Serialized.
  5. Under Appearance, in the Next value box, type the number you want the series to start with.
  6. In the Increment box, type or select the number you want the series to increase by with each subsequent entry.
Related topics

Change database views

Create a new serialized field

Type a series of numbers or dates


Mark or unmark records

Why mark records?
Marking records is a convenient way to select recordsall of the related information about one person, place, or thing that can't easily be selected with a filtera way of specifying what information is displayed in a database or by sorting. Use record marking to identify:
  • A nonconsecutive selection of records; for example, every tenth record.
  • Records that you can't find with a filter because they don't meet the filter's conditions; for example, marking records of clients who are also personal friends.
  • Multiple records, such as an arbitrary section in your database; for example, the first 20 records.

After marking records, you can view or print just the marked records.

Please click one:

Mark or unmark some records in a database
Mark or unmark all records in a database
  1. On the View menu, click List.
  2. Select or clear the check box next to the record numberthe row number to the left of each record in List view of each recordall of the related information about one person, place, or thing you want to mark or unmark.
  1. On the View menu, click List.
  2. Click the check box in the upper-left corner of the Database window.

    Works selects all records when it marks them.

    If some records are already marked, double-click the check box in the upper-left corner of the Database window.

    - or -

    To unmark all records, click the check box in the upper-left corner of the Database window.

Tips

  • To mark multiple records, in List view, click the check box next to the record number of the first record you want to mark, and then selectmove the plus sign to the beginning of a field or record, click and hold down the mouse button while moving the plus sign over the fields or records you want, and then release the mouse button the rest of the records you want to mark.
  • You can also mark records on a form. On the View menu, click Form. Click the arrow buttons at the bottom of the Database window to go to the record you want to mark. On the Record menu, click Mark Record. Click Mark Records again to remove the check mark.

Tip

You can also mark and unmark records using the menu. On the Record menu, click Mark Records or Unmark All Records.

Show or hide marked records Print marked or unmarked records Show or hide marked records


Modify a filter

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the Tools menu, click Filters. This command is available in List, Form, and Form Designview.
  2. In the Filter name box, click the down arrow, and then click the filter you want to change.
  3. Make the changes you want.
  4. Click Apply Filter.

    - or -

    To close the dialog box without applying the filter, click Close. If you want to keep the changes you made, click Yes.

Tip

You can display only records that don't match the filter definition. In the Filter dialog box, select the Invert filter check box, and then Click Apply Filter. Works reverses the filter and displays only the records that don't match the filter definition.

Related topics

Create and apply filters

Delete a filter


Modify a filter applied to a report

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. On the Tools menu, click Report Filter.
  5. In the Select a filter box, click the filter you want to change.
  6. Click Modify Filter.

    The Filter dialog box appears.

  7. Click the field namesthe name that appears at the top of each column in List view to identify each field and comparisons you want to change.
  8. If you want to add another fielda column in List view that shows a category of information, such as a serial number or purchase date to your filter, click the down arrow, and then click and or or.

    To find recordsall of the related information about one person, place, or thing that match the criteria in both fields on which you are filtering, click and.

    - or -

    To find records that match the criteria in either field, click or.

  9. Click Done.

Tips

  • You can display only records that don't match the filter definition. In the Filter dialog box, select the Invert Filter check box, click OK, and then click OK. Works reverses the filter and displays only the records that don't match the filter definition.
  • To see a preview of your report, click Print Preview on the File menu.
Related topics

Create and apply a new filter to a report

Create and apply filters


Move an object to the front or back of a form

How are objects layered?
When you add an objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program, such as a rectangle, to a form, Works adds the object on its own layer. Every new object is placed on the top or front layer. Other objects and form elements are stacked beneath the new object.
  1. On the View menu, click Form Design.
  2. Click the objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program you want to move to the front or back layer.
  3. To move the object to the front, on the Format menu, click Bring To Front.

    - or -

    To move the object to the back, on the Format menu, click Send To Back.

Tip

If you want to move more than one object at a time, hold down the CTRL key, and then click each object you want to move. Then, on the Format menu, click Bring To Front or Send To Back.

Related topics

Put a border around an object

Remove a border from an object


Move a field

  1. To move a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, click List on the View menu.

    - or -

    To move a field in Form Design view, click Form Design on the View menu.

  2. Click the field namethe name that appears at the top of each column in List view to identify each field of the field you want to move.
  3. While the mouse pointer is positioned over the field name, click and hold down the mouse button.
  4. Move the mouse until the field is where you want it in the database.

Tips

  • In List view, you can also move a field by clicking Cut Cut toolbar button and Paste Paste toolbar button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document., or by clicking the Cut and Paste commands on the Edit menu.
  • In Form Design view, you can move a selected field by clicking Position Selection on the Edit menu, and then using the arrow keys to move the field.
Related topics

Move the contents of a field


Move the contents of a field

  1. On the View menu, click List.
  2. Selectmove the plus sign to the cell or field you want, double-click with the mouse, move the insertion point to the beginning of the text, click and hold down the mouse button while you move the insertion point over the text you want, and then release the mouse button the contentsthe information in a field you want to move.
  3. On the Edit menu, click Cut.
  4. Click where you want to move the field contents.
  5. On the Edit menu, click Paste.

Note

If there is already information where you want to paste information, the existing information will be replaced by the information you paste.

Tips

  • If the information you move to another field looks different, verify that the format of the field to which you moved the information is the same as the field from which was the information was moved.
  • In List view or Form view, you can also move the contents of a field by clicking Cut Cut toolbar button and Paste Paste toolbar button on the toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document., or by clicking the Cut and Paste commands on the Edit menu.
  • To move the contents of a field to a new database, click New on the File menu, or to move the contents to another database, click Open on the File menu. Click in the database where you want to move the contents, and then click Paste on the Edit menu.
Related topics

Move a field

Field formats

Change database views


Move a record

  1. On the View menu, click List.
  2. Click the record numberthe row number to the left of each record in List view of the recordall of the related information about one person, place, or thing you want to move.
  3. When the pointer looks like this Drag dragSelect the information, click and hold down the mouse button, move the information, and then release the mouse button. the record where you want it in the database.

Tips

  • In List view, you can use toolbarA row of buttons near the top of a window that you can click to perform an action, such as to print or save a document. buttons or menu commands to move large amounts of information or to move a record to another database.

    To move a record by using the toolbar, click Cut Cut toolbar button and Paste Paste toolbar button.

  • To move a record by using the menu commands, click Cut and Paste on the Edit menu.
Related topics

Move a field

Move the contents of a field

Change database views


Print a blank form

  1. On the View menu, click Form Design.
  2. On the File menu, click Print.

Tip

To preview your document, click Print Preview on the File menu.

Related topics

Print a single record on a form

Print more than one record form on a page


Print marked or unmarked records

How does Works print marked records?
To see and print only specific recordsall of the related information about one person, place, or thing in a database, you must mark the records you want. This is a good way to see and print a subset of the entire database. You can also display and print only the records you did not mark, or the unmarked records.
  1. On the View menu, click List.
  2. Select or clear the check box next to the record numberthe row number to the left of each record in List view of each recordall of the related information about one person, place, or thing you want to mark or unmark.
  3. On the View menu, click List or click Form.
  4. To print marked records, on the Record menu, point to Show, and then click Marked Records.

    - or -

    To print unmarked records, on the Record menu, point to Show, and then click Unmarked Records.

  5. On the File menu, click Print.

Tip

To preview your document, click Print Preview on the File menu.

Related topics

Mark or unmark records

Show or hide marked records


Print more than one record form on a page

  1. On the View menu, click Form.

    In Form view, you need to specify whether you want to print more than one record on a page. You don't need to specify this in List or Report view. When you print in List or Report view, Works automatically prints multiple records on a page if they will fit.

  2. On the File menu, click Page Setup.
  3. Click the Other Options tab.
  4. Clear the Page breaks between records check box.
  5. In the Space between records box, type or select the amount of space you want between records.
  6. Click OK.
  7. On the File menu, click Print.
Related topics

Print a single record on a form


Print a single record on a form

  1. On the View menu, click Form.
  2. Click the arrow buttons at the bottom of the Database window to find the recordall of the related information about one person, place, or thing you want to print.
  3. On the File menu, click Print.
  4. Under What to Print, click Current record only.
Related topics

Mark or unmark records

Print a blank form

Print marked or unmarked records


Protect or unprotect fields from changes

Why protect a field?
After you have created a database, you can protect the fieldsa column in List view that shows a category of information, such as a serial number or purchase date and their contentsthe information in a field from accidental changes or deletions. When fields are protected, you can still copy or sort them, or change their appearance.

When you turn on field protection, you prevent:

  • Typing over existing information.
  • Deleting and clearing fields or their contents.
  • Tabbing to protected areas.
  • Cutting and pasting information from or into fields.
  1. On the View menu, click List or click Form Design.
  2. In List view, click the field name of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to protect.

    - or -

    In Form Design view, click the contentsthe information in a field of the field you want to protect.

  3. On the Format menu, click Protection.
  4. To turn on protection, select the Protect field check box.

    - or -

    To turn off protection, clear the Protect field check box.

Related topics

Add a field

Insert a blank record


Put a border around an object

  1. On the View menu, click Form Design.
  2. Click the objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program to which you want to add a border.
  3. On the Format menu, click Border.
  4. Under Line style, click the border you want.
  5. If you want a color border, click the color you want in the Color box.

Tips

  • If you want to select more than one object at a time, hold down the CTRL key, and then click each object you want to select.
  • To put a border around a field in List view, on the View menu, click List, and then click the field namethe name that appears at the top of each column in List view to identify each field of the fielda column in List view that shows a category of information, such as a serial number or purchase date to which you want to add a border. On the Format menu, click Border. Click the Line style, Border, and Color you want, and then click OK.
  • To use borders in a report, on the View menu, click Report. Click the report you want, and then click Modify. Click the cellthe intersection of a row and column that can contain text or numbers to which you want to add a border. On the Format menu, click Border. Click the Line style, Border, and Color you want, and then click OK.
Related topics

Add color and shading

Draw a rectangle on a form

Remove a border from an object


Reapply the last filter

How do filters work?
Use a filter to tell Works what information you want to display and print in your report. For example, if you have a database of books, and you want to see only recordsall of the related information about one person, place, or thing for a particular author, you can filter out all other authors.

You can filter information in two ways:

  • Use Easy Filter to create a simple filter by clicking predefined options, such as "is equal to" or "is greater than."
  • Create a complex filter that requires a formula. For example, use this option to select records when the total of field 1 and field 2 exceeds 100.
  1. On the View menu, click List or click Form.
  2. On the Record menu, point to Apply Filter, and then click the filtera way of specifying what information is displayed in a database you want.

    - or -

    Press F3.

Related topics

Create and apply filters

Modify a filter


Remove all headers and footers

  1. On the View menu, click Headers and Footers.
  2. To remove a header, in the Header box, selectplace the cursor next to the text you want, click and hold down the mouse button, move the cursor to highlight the text, and then release the mouse button the text and codes if they are not already selected, and then press DELETE.
  3. To remove a footer, in the Footer box, select the text and codes if they are not already selected, and then press DELETE.
Related topics

Remove a header or footer from the first page


Remove a border from an object

  1. On the View menu, click Form Design.
  2. Click the objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program from which you want to remove a border.
  3. On the Format menu, click Border.
  4. Under Line Style, click the empty box.

Tips

  • If you want to select more than one object at a time, hold down the CTRL key, and then click each object you want to select.
  • To remove a border from a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, on the View menu, click List and then click the field namethe name that appears at the top of each column in List view to identify each field of the field from which you want to remove a border. On the Format menu, click Border. Under Line Style, click the empty box. Under Border, double-click the line next to each border you want to remove, and then click OK.
  • To remove borders from a report, on the View menu, click Report. Click the report you want, and then click Modify. Click the cellthe intersection of a row and column that can contain text or numbers from which you want to remove a border. On the Format menu, click Border. Under Line Style, click the empty box. Under Border double-click the line next to each border you want to remove, and then click OK.
Related topics

Add color and shading

Draw a rectangle on a form

Put a border around an object


Remove color and shading

  1. On the View menu, click Form Design.
  2. To remove color and shadinga background color or pattern that you can add to a table, cell or group of cells, paragraph, or frame from the entire form, make sure no objectinformation such as a spreadsheet, chart, drawing, clip art, WordArt, or a picture created in a paint program on the form is selected.

    - or -

    Click the object from which you want to remove color and shading.

  3. On the Format menu, click Shading.
  4. Under Shading, click None.

Tips

  • If you want to select more than one object at a time, hold down the CTRL key, and then click each object you want to select.
  • To remove color and shading from a fielda column in List view that shows a category of information, such as a serial number or purchase date in List view, on the View menu, click List, and then click the field namethe name that appears at the top of each column in List view to identify each field of the field you want to reformat. On the Format menu, click Shading. Under Shading, click None.
  • To remove borders from a report, on the View menu, click Report. Click the report you want, and then click Modify. Click the cellthe intersection of a row and column that can contain text or numbers you want to reformat. On the Format menu, click Shading. Under Shading, click None.
Related topics

Add color and shading

Draw a rectangle on a form

Put a border around an object


Remove extra space between fields on a form before printing

  1. On the View menu, click Form Design.
  2. If necessary, hide the name of the fielda column in List view that shows a category of information, such as a serial number or purchase date from which you want to remove extra space.
    3. How?
    1. Click the field name or field contentsthe information in a field.
    2. On the Format menu, click Show Field Name.

      The field name is hidden when there is no check mark next to Show Field Name.
  3. Click the field or label from which you want to remove extra space.
  4. On the Format menu, click Alignment.
  5. Select the Slide to left check box.

    Works displays a check mark in the box.

Tip

On forms with more than one field per line, remove any extra space between fields by sliding the right field or label to the left.

Related topics

Print a single record on a form

Print more than one record form on a page


Remove a header or footer from the first page

  1. On the View menu, click Headers and Footers.
  2. To remove a header, select the No header on first page check box.

    - or -

    To remove a footer, select the No footer on first page check box.

Note

To see your headers and footers, on the File menu, click Print Preview.

Tip

If you want to change page numbering so it starts with number one on the second page, type 0 in the Starting page number box, and then click OK. On the View menu, click Headers and Footers, and then click either No header on first page or No footer on first page, depending on where your page numbers are located.

Related topics

Add a header or footer

Remove all headers and footers


Rename a filter

  1. On the Tools menu, click Filters.

    This command is available in List, Form, and Form Design view.

  2. In the Filter name box, select the filtera way of specifying what information is displayed in a database you want to rename.
  3. Click Rename Filter.
  4. Type the new name for the filter.
Related topics

Create and apply filters

Modify a filter


Repeat a character or entry across columns in a report

  1. On the View menu, click Report.
  2. Click the report you want to change.
  3. Click Modify.

    The report definitiondisplays information about a report in rows and columns appears.

  4. Click the cellthe intersection of a row and column that can contain text or numbers where you want the entry to first appear, and then type the entry or character that you want to repeat.

    If there is already information in the field you clicked, it will be replaced by the entry or character you type.

  5. Selectmove the plus sign to the beginning of a cell or heading, click and hold down the mouse button while moving the plus sign over the cells or headings you want, and then release the mouse button the cells you want to fill beginning with the cell containing the repeated entry or character.

    The cells into which you want to repeat the character must not contain any other data.

  6. On the Format menu, click Alignment.
  7. Under Horizontal, click Fill.
Related topics

Center text across several cells in a report


Replace the contents of a field

  1. On the View menu, click List or click Form.
  2. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date contentsthe information in a field you want to change.
  3. Type the new information.

    As you type, you replace the previous contents. If you change your mind, press the ESC key.

  4. Press ENTER.
Related topics

Type text or numbers

Clear the contents of a field


Restore the default buttons to the toolbar

  1. On the Tools menu, click Customize Toolbar.
  2. Click Reset.
Related topics

Add a button to the toolbar

Remove a button from the toolbar


Reverse the results of a filter

  1. On the View menu, click List or click Form.
  2. On the Tools menu, click Filters.
  3. In the Filter name box, select the filtera way of specifying what information is displayed in a database you want to reverse.
  4. Select the Invert filter check box.
  5. Click Apply Filter.

Note

To see all recordsall of the related information about one person, place, or thing again after inverting a filter, click List or click Form on the View menu. On the Record menu, point to Show, and then click All Records.

Related topics

Create and apply filters

Modify a filter


See how your form will look when printed

  1. On the View menu, click Form Design.
  2. On the View menu, click Format for Printer.

    If there is a check mark next to the command name, Works adjusts the spacing to display the form exactly as it will print.

Tip

Clicking Format for Printer spaces characters on the form according to how they will print, so the form will generally look better when printed than it does on your screen. If you need to make adjustments, you can move or resize the fieldsa column in List view that shows a category of information, such as a serial number or purchase date on your form.

Related topics

Print a single record on a form

Remove extra space between fields on a form before printing


Select information in the Database

To select | With a mouse
The contentsthe information in a field of a fielda column in List view that shows a category of information, such as a serial number or purchase date | Click the field contents.
Part of the contents of a field | Double-click the field contents, point the cursor where you want to start, and then click and hold down the mouse button while you move the mouse pointer across the text or numbers you want to select.
A group of field contents | Click the first field contents and hold down the mouse button while you move the mouse pointer across the other cells.
A field | Click the field namethe name that appears at the top of each column in List view to identify each field.
A recordall of the related information about one person, place, or thing | Click the record numberthe row number to the left of each record in List view.
More than one field | Click the first field name and hold down the mouse button while you move the mouse pointer across the other field names.
More than one record | Click the first record number and hold down the mouse button while you move the mouse pointer across the other record numbers.
The entire database | Click the box in the upper-left corner of the database, above the record numbers.
Related topics

Type text or numbers

About creating a database


Show a hidden field

  1. On the View menu, click List.
  2. On the Edit menu, click Go To.
  3. In the Select a field list, click the name of the fielda column in List view that shows a category of information, such as a serial number or purchase date you want to show.
  4. Click OK.

    Although it does not show, the field is selected.

  5. On the Format menu, click Field Width.
  6. Click Standard.

Tip

You can show a hidden field in Form Design view by clicking the field, and then clicking Show Field Name on the Format menu.

Related topics

Hide a field

Show all records

Change database views


Show all records

  1. On the View menu, click List or click Form.
  2. On the Record menu, point to Show, and then click All Records.
Related topics

Hide a record

Switch between hidden and displayed records

Change database views


Show only records not found during a search

  1. On the View menu, click List or click Form.
  2. On the Record menu, point to Show, and then click Hidden Records.

    Works hides the records found in the search and displays the hidden records.

Tip

The right side of the status bara horizontal bar at the bottom of a window that displays information about the active document indicates how many records are showing. For example, 40/66 indicates 40 displayed records and a total number of 66 records.

Related topics

Show all records

Switch between hidden and displayed records

Change database views


Show or hide field lines on a form

  1. On the View menu, click Form Design.
  2. To show field lineslines that indicate where to type information in a field on a form, click Field Lines on the View menu.

    - or -

    To hide field lines, click Field Lines on the View menu.

Note

When field lines are shown, a check mark appears next to Field Lines on the View menu.

Related topics

Show or hide gridlines in List view

Change database views


Show or hide gridlines in List view

  1. On the View menu, click List.
  2. To show gridlines, click Gridlines on the View menu.

    - or -

    To hide gridlines, click Gridlines on the View menu.

Note

When gridlines are shown, a check mark appears next to Gridlines on the View menu.

Related topics

Show or hide field lines on a form

Change database views


Show or hide marked records

Why mark records?
Marking records is a convenient way to select recordsall of the related information about one person, place, or thing that can't easily be selected with a filtera way of specifying what information is displayed in a database or by sorting. Use record marking to identify:
  • A nonconsecutive selection of records; for example, every tenth record.
  • Records that you can't find with a filter because they don't meet the filter's conditions; for example, marking records of clients who are also personal friends.
  • Multiple records, such as an arbitrary section in your database; for example, the first 20 records.

After marking records, you can view or print just the marked records.

  1. On the View menu, click List or click Form.
  2. To show only marked records, on the Record menu, point to Show, and then click Marked Records.

    Works shows only the records you marked and hides the rest.

    - or -

    To show only unmarked records, on the Record menu, point to Show, and then click Unmarked Records.

    Works hides the records you marked and shows only the unmarked records.

Tip

You can see marked records one at a time on a form. On the View menu, click Form. On the Record menu, point to Show, and then click Marked Records. Click the arrow buttons at the bottom of the Database window to look at each marked record.

Related topics

Mark or unmark records

Print marked or unmarked records


Show or hide ToolTips

What is a ToolTip?
A ToolTip is the name or function of a button on a . You can see the ToolTip for a button by pausing the mouse pointer Pointer over the toolbar button. Works displays the ToolTip for the button. If you don't want to see ToolTips each time you pause over a toolbar button, you can hide them.
  1. On the Tools menu, click Customize Toolbar.
  2. To show ToolTips, select the Enable ToolTips check box.

    - or -

    To hide ToolTips, clear the Enable ToolTips check box.

Related topics

Get help


Sort a database in alphabetic or numeric order

  1. On the View menu, click List or click Form.
  2. On the Record menu, click Sort Records.
  3. In the Sort By box, type the name of the first fielda column in List view that shows a category of information, such as a serial number or purchase date you want to sort, or click the down arrow and click it from the list.
  4. Click either Ascending or Descending.
  5. If you want to sort additional fields, under Then by, repeat steps 3 and 4.

Tips

  • To repeat the last sort, click Sort Records on the Record menu, and then click OK.
  • If you want to sort more than three fields, you can sort the database twice. Specify the least important fields the first time you sort, and the more important fields the second time.
Related topics

Create and apply filters

Find specific text or numbers

Change how a report is sorted


Switch between hidden and displayed records

  1. On the View menu, click List or click Form.
  2. On the Record menu, point to Show, and then click Hidden Records.

Note

If you perform a search and then click Show Hidden Records, Works hides the recordsall of the related information about one person, place, or thing found in the search and displays the hidden records.

Tip

You can tell how many records are showing by looking at the right side of the status bara horizontal bar at the bottom of a window that displays information about the active document. The next-to-last section shows the number of the current record. The last section, 40/66 for example, shows the number of displayed records (40) and the total number of records (66).

Related topics

Hide a record

Show all records

Change database views


Type default text or numbers for a field

Why use default text or numbers?
Using default text or numbers is helpful if a fielda column in List view that shows a category of information, such as a serial number or purchase date contains the same information in all of the database recordsall of the related information about one person, place, or thing. You can type text or numbers in a field just once, and Works will fill in the same information in new records automatically.

For example, if you frequently stay in a hotel named the Best Hotel, you can make Best default text. Then, each time you create a new record, Works automatically enters Best in the Hotel field for you.

  1. On the View menu, click List or click Form Design.
  2. In List view, click the name of the fielda column in List view that shows a category of information, such as a serial number or purchase date in which you want to type default text or numbers.

    - or -

    In Form Design view, click the field in which you want to type default text or numbers.

  3. On the Format menu, click Field.
  4. Select the Automatically enter a default value check box.

    You cannot set a default value for a serialized field.

  5. Type the text or numbers that you want to be the default contentsthe information in a field for all records.
Related topics

Type a series of numbers or dates

Type text or numbers


Type a formula that uses a function

What do functions do?
Works functionsa built-in calculation that you can use to create a formula can save you time when you are typing a complex formulaan equation that calculates a new value from existing values. For example, a teacher could use the AVG (average) function to compute each student's average score on a series of tests. The formula might look like this: =AVG(Test Score 1, Test Score 2, Test Score 3) where Test Score 1, Test Score 2, and Test Score 3 are field namesthe name that appears at the top of each column in List view to identify each field.
  1. On the View menu, click List.
  2. Click the field namethe name that appears at the top of each column in List view to identify each field to select the fielda column in List view that shows a category of information, such as a serial number or purchase date in which you want the formulaan equation that calculates a new value from existing values.
  3. Type = and then type the functiona built-in calculation that you can use to create a formula.

    For example, type =avg.

  4. In parentheses, type the name of the fields, separated by commas, that you want the function to calculate.

    For example, type (Test Score 1, Test Score 2, Test Score 3).

  5. Press ENTER.

Tip

When you use a function in a formula, be sure to enclose in parentheses the values or references you want the formula to evaluate. Otherwise, Works will display an error message.

Related topics

Calculate a field's contents using a formula

Type default text or numbers for a field

Work with formulas


Type a series of numbers or dates

Why use a series?
Works can save you time by creating a series of numbers or dates automatically. For example, if you type the first item in a series (such as January 1), Works will automatically enter January 2, January 3, and so on for as many fieldsa column in List view that shows a category of information, such as a serial number or purchase date as you select.
  1. On the View menu, click List.
  2. In the recordall of the related information about one person, place, or thing of the fielda column in List view that shows a category of information, such as a serial number or purchase date in which you want to start the series, click and hold down the mouse button, and then move the mouse pointer down or to the right to select where you want Works to fill in the series.
  3. On the Edit menu, click Fill Series.
  4. Under Units, click the unit you want for the series.
  5. If you want the series to increase by more than one unit, select the number that appears in the Step by box, and then type a different number.
Related topics

Create a new serialized field

Make an existing field serialized


Type text or numbers

  1. On the View menu, click List or click Form.

  2. Click where you want to start typing.

  3. Type the text or numbers you want.
  4. To move to the next fielda column in List view that shows a category of information, such as a serial number or purchase date, press the TAB key.

    - or -

    To move to the previous field, press SHIFT+TAB.

Related topics

Change database views

Type a series of numbers or dates


Type your own formula

How do formulas calculate field contents?
You can use a formulaan equation that calculates a new value from existing values to calculate the contentsthe information in a field of one fielda column in List view that shows a category of information, such as a serial number or purchase date based on the contents of other fields. You can have only one formula in each field. When you type a formula into a field, that formula is automatically entered into the same field in all recordsall of the related information about one person, place, or thing. When you type information into a new record, the formula automatically creates a value for that field in the new record. Formula values are not displayed in blank recordsall of the related information about one person, place, or thing.
  1. Click the field namethe name that appears at the top of each column in List view to identify each field of the fielda column in List view that shows a category of information, such as a serial number or purchase date in which you want to type a formulaan equation that calculates a new value from existing values.
  2. Type an equal sign (=) followed by the formula.

    For example, type =Purchase Price-Current Value.

  3. Press ENTER.

    Works displays the result in the field, and displays the formula in the entry barthe area below the toolbar where you can type or edit information into a field or cell.

Note

Formula values are not displayed in blank recordsall of the related information about one person, place, or thing.

Related topics

Type a formula that uses a function

Calculate a field's contents using a formula


Use ABS(x)

What is the ABS function?
The ABS functiona built-in calculation that you can use to create a formula gives the absolute (positive) value of x. When you type the formulaan equation that calculates a new value from existing values, you can replace x with a number or a fielda column in List view that shows a category of information, such as a serial number or purchase date name. An absolute value is the number without its positive or negative sign.

You might use this function when you want to find the difference between two numbers, regardless of whether they are positive or negative.

Example

=ABS(810) and =ABS(108) both equal 2
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ABS
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use ACOS(x)

What is the ACOS function?
The ACOS functiona built-in calculation that you can use to create a formula returns the arccosine, which is the angle whose cosine is x. ACOS gives the size of the angle in radians. The variable x must be in the range -1 to 1. The angle will range from 0 (zero) radians (0 degrees) through π radians (180 degrees).

Example

  • =ACOS(-0.5) equals 2.094 (2π/3 radians)
  • =ACOS(-0.5)*180/PI( ) equals 120 degree
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ACOS
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use ASIN(x)

What is the ASIN function?
The ASIN functiona built-in calculation that you can use to create a formula gives the arcsine of x. The arcsine is the angle whose sine is x. ASIN gives the size of the angle in radians. The variable x must be in the range -1 to 1. The angle will range from -π/2 radians (-90 degrees) to π/2 radians (90 degrees).

Example

  • =ASIN(-0.5) equals -0.524 (-π/6 radians)
  • =ASIN(-0.5)*180/PI( ) equals -30 degrees
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ASIN
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use ATAN2(x-coordinate,y-coordinate)

What is the ATAN2 function?
The ATAN2 functiona built-in calculation that you can use to create a formula gives the arctangent of an angle defined by x-coordinate and y-coordinate. The arctangent is the angle in radians determined by the point described by the coordinates. The angle will range from –π (180 degrees) to, but not including, π radians (180 degrees). When x-coordinate and y-coordinate are 0, ATAN2 gives the error value ERR.

Example

  • =ATAN2(1,1) equals 0.785 (π/4 radians)
  • =ATAN2(1,1) equals 2.356 (–3π/4 radians)
  • =ATAN2(1,1)*180/PI( ) equals 135 (degrees)
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ATAN2
  3. In parentheses, add the x-coordinate and y-coordinate argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use ATAN(x)

What is the ATAN function?
The ATAN functiona built-in calculation that you can use to create a formula gives the arctangent of x. The arctangent is the angle whose tangent is x. ATAN gives the size of the angle in radians. The angle will range from -π/2 (-90 degrees) to π/2 (90 degrees).

Example

  • =ATAN(1) equals 0.785 (π/4 radians)
  • =ATAN(1)*180/PI( ) equals 45 (degrees)
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ATAN
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use COS(x)

What is the COS function?
The COS functiona built-in calculation that you can use to create a formula gives the cosine of x when x is an angle in radians.

Example

  • =COS(1.047) equals 0.5
  • =COS(60*PI()/180) equals 0.5 (cosine of 60 degrees)
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =COS
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use CTERM(Rate,FutureValue,PresentValue)

What is the CTERM function?
The CTERM functiona built-in calculation that you can use to create a formula gives the number of compounding periods needed for a lump sum earning a fixed Rate per compounding period to grow from a PresentValue to a FutureValue.

Rate represents the interest rate for a single compounding period. For example, if your investment earns 12 percent annually and interest is compounded monthly, divide the annual interest rate by 12 to find the monthly rate, or 1 percent per month.

Example

You put $1,000 into a savings account with a yearly interest rate of 8-3/4 percent. Interest is compounded monthly. How long does it take to double your investment?

=CTERM(8.75%/12,2000,1000) equals 95.41 months (about eight years)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =CTERM
  3. In parentheses, add the Rate, FutureValue, and PresentValue argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use DATE(Year,Month,Day)

What is a DATE function?
Use the DATE functiona built-in calculation that you can use to create a formula when you want to include dates directly in a formulaan equation that calculates a new value from existing values. The DATE function gives the serial number of the date specified by Year, Month, andDay. Serial numbers range from 1 to 65534, representing January 1, 1900 to June 3, 2079.

Works stores dates as sequential serial numbers so that it can perform calculations on them. Works stores January 1, 1900, as serial number 1. For example, Works stores January 1, 1998, as serial number 35796 because it is 35,795 days after January 1, 1900.

The argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result in the DATE function-Year, Month, and Day-must be within the following ranges:

Argument | Range
Year | 1900 to 2079
Month | 1 to 12
Day | 1 to 31

Year

  1. If Year is between 0 (zero) and 179 (inclusive), Works adds that value to 1900 to calculate the year. For example, DATE(100,1,2) returns January 2, 2000 (1900+100).
  2. If Year is between 1900 and 2079 (inclusive), Works uses that value as the year. For example, DATE(2000,1,2) returns January 2, 2000.
  3. If Year is less than 0 or is 2080 or greater, Works returns the ERR error value.

Month

  • Month is a number representing the month of the year. If Month is greater than 12, Works adds that number of months to the first month in the year specified. For example, DATE(1998,14,2) returns the serial number representing February 2, 1999.

Day

  • Day is a number representing the day of the month. If Day is greater than the number of days in the month specified, Works adds that number of days to the first day in the month. For example, DATE(1998,1,35) returns the serial number representing February 4, 1998.

Works displays the result of the function based on the number format. To display the result in a date format such as January 25, 2000, use the Date number format. To display the result as a serial number, use the General number format.

Example

To subtract April 12, 2000 from May 13, 2000:

=DATE(2000,5,13)-DATE(2000,4,12) equals 31 days

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =DATE

    In parentheses, add the Year, Month, and Day argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.

  3. Press ENTER.

Tips

  • If Works displays the result as a date but you want a number, change the number format to General format. If the field is formatted with the Date number format, Works displays the result of the formula as a date. To get a number result, on the Format menu, click Field, and then click General.
  • If you need to find the serial number of a date or time, click the field containing the date or time. On the Format menu, click Field, and then click General.
  • The DATE function is most useful in formulas where year, month, and day are formulas, not constants.
Related topics

Use Database functions


Use DAY(DateSerialNumber)

What is the DAY function?
The DAY functiona built-in calculation that you can use to create a formula gives the day-of-the-month portion of the date specified by DateSerialNumber as an integer ranging from 1 to 31. The argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result must contain a date or fielda column in List view that shows a category of information, such as a serial number or purchase date name, formatted with the Date or General number format.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =DAY
  3. In parentheses, add the DateSerialNumber argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.

Tip

If you need to find the serial number of a date or time, click the field containing the date or time. On the Format menu, click Field, and then click General.

Related topics

Use Database functions


Use DDB(Cost,Salvage,Life,Period)

What is the DDB function?
The DDB functiona built-in calculation that you can use to create a formula uses the double-declining balance method to find the amount of depreciation in a specific Period.

Cost is the amount you paid for the asset. Salvage is the amount you expect to obtain when you sell the asset at the end of its life. Life is the number of time periods (usually years) you expect the asset to be in use. Period is the period of time for which you want to find the depreciation amount.

Example

You buy a tractor for $50,000. You expect to sell it for $8,000 after using it for 10 years. The depreciation expense for the seventh year, using the double-declining balance method, is calculated by:

=DDB(50000,8000,10,7) equals $2,621.44

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =DDB
  3. In parentheses, add the Cost, Salvage, Life, and Period argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use ERR( )

What is the ERR function?
The ERR functiona built-in calculation that you can use to create a formula returns the value ERR. Although this function has no argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, parentheses are required. You can use it to force a fielda column in List view that shows a category of information, such as a serial number or purchase date to display ERR whenever a specified condition exists. For example, you can use this function to force an error in a field for testing.

You can also use ERR to find fields whose formulasan equation that calculates a new value from existing values depend on the erroneous cell.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ERR()
  3. Press ENTER.
Related topics

Use Database functions


Use EXACT(TextValue0,TextValue1)

What is the EXACT function?
The EXACT functiona built-in calculation that you can use to create a formula compares two strings of characters and gives 1 (TRUE) if they are exactly the same, 0 (FALSE) if they are not.

The EXACT function is case-sensitive (for example, it differentiates between "Works" and "works"), but it ignores formatting differences (for example, it does not differentiate between "Works" and "Works").

You can use the EXACT function to confirm that database text entries have beentyped correctly. For example, in a database of books, you could compare a fielda column in List view that shows a category of information, such as a serial number or purchase date containing authors' first names to a field containing authors' nicknames to determine if an author's first name was incorrectly typed as the author's nickname.

To do this, you would click the field namethe name that appears at the top of each column in List view to identify each field for the function, and then type =EXACT (First Name, Nickname)

TextValue0 and TextValue1 can be references to fields that contain text. If you type the two text strings in the formulaan equation that calculates a new value from existing values, be sure to enclose each text string in double quotation marks (").

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =EXACT
  3. In parentheses, add the TextValue0 and TextValue1 argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.

Tip

Because this function returns a number that will correspond to true or false,you may want to change the format of the field where you are using the function. You can change the field format by clicking the field namethe name that appears at the top of each column in List view to identify each field you want to change, clicking Field on the Format menu, selecting Number under Format, and then selecting True/False under Appearance.

Related topics

Use Database functions


Use EXP(x)

What is the EXP function?
The EXP functiona built-in calculation that you can use to create a formula gives e raised to the power of x, where e is 2.718282..., the base number of natural logarithms. EXP is the inverse of the LN function (natural logarithm). For example, when a fielda column in List view that shows a category of information, such as a serial number or purchase date is formatted to show only two decimal places, =LN(5) gives 1.61, and =EXP(1.61) gives 5.00.

To calculate powers of other bases, use the exponentiation operator^.

Example

  • =EXP(1) equals 2.718282 (the value of the natural base, e)
  • =EXP(LN(3)) equals 3
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =EXP
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use FIND(FindText,SearchText,Offset)

What is the FIND function?
The FIND functiona built-in calculation that you can use to create a formula finds one string of text (FindText) within another string of text (SearchText) and returns the number of the character at which FindText occurs. The FIND function is case-sensitive - differentiates between uppercase and lowercase letters.

FindText and SearchText can be references to fieldsa column in List view that shows a category of information, such as a serial number or purchase date that contain text. If you type the text you want to find or search in the formulaan equation that calculates a new value from existing values, be sure to enclose it in double quotation marks (").

Offset specifies the character at which to start the search. The first character in SearchText is character number 0, the second character is 1, and so on.

When using the FIND function, Works displays ERR when any of the following occur:

  • FindText is an empty field or does not appear in SearchText.
  • Offset is less than 0 (zero).
  • Offset is greater than the length of SearchText.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =FIND. In parentheses, add the FindText, SearchText, and Offset argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  3. Press ENTER.

Tip

If you see ERR after you use the FIND function, type a valid number or field name for the arguments. Works displays ERR when: FindText is an empty field or does not appear in SearchText; Offset is less than 0 (zero). Offset is greater than the length of SearchText.

Related topics

Use Database functions


Use FV(Payment,Rate,Term)

What is the FV function?
The FV functiona built-in calculation that you can use to create a formula gives the future value of an ordinary annuity of equal Payments, earning a fixed interest Rate per term, compounded over several terms (Term).

Works assumes that the first payment occurs at the end of the first period.

Be consistent about the units you use to specify interest rate and period. For example, if you get a car loan at an 11 percent annual interest rate and make monthly payments, your interest rate per month is 11 percent/12, or 0.9167 percent. You can use 11%/12, 0.9167%, or 0.00917 in the formulaan equation that calculates a new value from existing values as the rate.

Example

You plan to deposit $1,500 in your savings account each year for the next eight years. The account earns 8.75 percent interest, compounded annually. How much money will be in the account at the end of eight years?

=FV(1500,8.75%,8) equals $16,393.61

If the first payment occurs at the beginning of the first period (an annuity due), then the value of your account at the end of eight years is calculated as follows:

=FV(1500,8.75%,8)*(1+8.75%) equals $17,828.05

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =FV
  3. In parentheses, add the Payment, Rate, and Term argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use HOUR(TimeSerialNumber)

What is the HOUR function?
The HOUR functiona built-in calculation that you can use to create a formula gives the hour portion of the serial number as an integer ranging from 0 to 23. The argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result must contain a time, formatted with the Time or General number format.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =HOUR
  3. In parentheses, add the TimeSerialNumber argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.

Tip

If you want to find the serial number of a date or time, click the field containing the date or time. On the Format menu, click Field, and then click General.

Related topics

Use Database functions


Use INT(x)

What is the INT function?
The INT functiona built-in calculation that you can use to create a formula gives the integer part of x. INT truncates the digits to the right of the decimal point without rounding to the nearest integer. (Use ROUND to round x to the nearest integer.)

Example

  • =INT(8.9) equals 8
  • =INT(-8.9) equals -8
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =INT
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use ISERR(x)

What is the ISERR function?
The ISERR functiona built-in calculation that you can use to create a formula gives the value 1 (TRUE) if x is the error value ERR. If x is not ERR, it gives the value 0 (FALSE).

Example

If you have a formula that you expect to result in a number, and you want to know when it results in an error, use the ISERR function to produce a value of 1 (TRUE) if there is an error or 0 (FALSE) if there is not an error.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ISERR
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use ISNA(x)

What is the ISNA function?
The ISNA functiona built-in calculation that you can use to create a formula gives the value 1 (TRUE) if x is the error value N/A (not applicable). If x is not N/A, it gives the value 0 (FALSE).

Example

If you have a formula that you expect to result in a number, and you want to know when it results in a value of N/A, use the ISNA function to produce a value of 1 (TRUE) if the result is N/A or 0 (FALSE) if the value is not N/A.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ISNA
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use LEFT(TextValue,Length)

What is the LEFT function?
The LEFT functiona built-in calculation that you can use to create a formula gives the first (or leftmost) character (or characters) in a phrase.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose the text in double quotation marks (").

Length specifies how many characters you want to extract. Length must be greater than 0 (zero).

If Length is greater than the length of the text in TextValue, LEFT returns all of TextValue.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =LEFT
  3. In parentheses, add the TextValue and Length argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use LENGTH(TextValue)

What is the LENGTH function?
You can use the LENGTH functiona built-in calculation that you can use to create a formula to determine the number of characters in a string of text, including blank spaces and punctuation marks.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =LENGTH
  3. In parentheses, add the TextValue argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use LN(x)

What is the LN function?
The LN functiona built-in calculation that you can use to create a formula gives the natural logarithm of x. The variable x must be a positive number. Natural logarithms use the mathematical constant e (2.718282...) as a base. The logarithm is the power to which the base is raised to provide the number.

Example

  • =LN(EXP(3)) equals 3
  • =LN(8)/LN(2) equals 3 (the base logarithm of 8)
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =LN
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use LOG(x)

What is the LOG function?
The LOG functiona built-in calculation that you can use to create a formula gives the base 10 logarithm of x. The variable x must be a positive number. This function is the inverse of base 10 exponentiation.

Example

  • =LOG(10) equals 1
  • =LOG(100000) equals LOG(1E5) equals 5
  • =LOG(10^5) equals 5
  • =LOG(8)/LOG(2) equals 3 (the base 2 logarithm of 8)
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =LOG
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use LOWER(TextValue)

What is the LOWER function?
The LOWER functiona built-in calculation that you can use to create a formula converts all uppercase letters in TextValue to lowercase.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =LOWER
  3. In parentheses, add the TextValue argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use MID(TextValue,Offset,Length)

What is the MID function?
The MID functiona built-in calculation that you can use to create a formula gives a specific number of characters from a text string, starting at the position you specify.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

Offset is the position of the first character you want to extract from TextValue. The first character in TextValue has Offset 0 (zero), the second character has Offset 1, and so on.

Length is the length, in number of characters, of the text you want to extract.

If Offset is greater than the length of text, MID gives "" (a blank space).

If Offset is greater than 0 (zero), but less than the length of TextValue, and Offset plus Length exceeds the length of TextValue, MID gives the characters up to the end of TextValue.

If Offset is less than 0 (zero), MID gives ERR.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =MID
  3. In parentheses, add the TextValue, Offset, and Length argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use MINUTE(TimeSerialNumber)

What is the MINUTE function?
The MINUTE functiona built-in calculation that you can use to create a formula gives the minute portion of the serial number as an integer ranging from 0 to 59. The argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result must contain a time, formatted with the Time or General number format.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =MINUTE
  3. In parentheses, add the TimeSerialNumber argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.

Tip

If you need to find the serial number of a date or time, click the field containing the date or time. On the Format menu, click Field, and then click General.

Related topics

Use Database functions


Use MOD(Numerator,Denominator)

What is the MOD function?
The MOD functiona built-in calculation that you can use to create a formula gives the remainder (modulus) after Numerator is divided by Denominator. For example, 5 divided by 3 leaves a remainder of 2, so the equation =MOD(5,3) equals 2. The remainder has the same sign as Numerator.

If Denominator is 0, MOD gives the error value ERR.

Example

  • =MOD(3,2) equals 1 and =MOD(3,2) equals 1
  • =MOD(3,2) equals 1 and =MOD(3,2) equals 1
  • =MOD(7,4) equals 3
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =MOD
  3. In parentheses, add the Numerator and Denominator argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use MONTH(DateSerialNumber)

What is the MONTH function?
The MONTH functiona built-in calculation that you can use to create a formula gives the month portion of the date specified by DateSerialNumber as an integer ranging from 1 to 12. The argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result must contain a date, formatted with the Date or General number format.

Example

To add a certain number of months to a date in a database, use the MONTH function to convert the date to a serial number, and then add the number of months you want.

The result of the following formula is a serial number that you can convert back into regular date format by setting the cell format to Date.

=DATE(Year(A1)+3,Month(A1)+1,Day(A1)+5)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =MONTH
  3. In parentheses, add the DateSerialNumber argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.

Tip

If you need to find the serial number of a date or time, click the field containing the date or time. On the Format menu, click Field, and then click General.

Related topics

Use Database functions


Use NA( )

What is the NA function?
The NA functiona built-in calculation that you can use to create a formula gives the error value N/A. You can use it to label a fielda column in List view that shows a category of information, such as a serial number or purchase date "not applicable" or "not available," based on a condition. Although this function has no argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, parentheses are required.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =NA()
  3. Press ENTER.
Related topics

Use Database functions


Use NOW( )

What is the NOW function?
The NOW functiona built-in calculation that you can use to create a formula gives the current date or time updated every time you recalculate. Works displays the result of the function based on the field's number format. To display the result in a date format such as January 25, 2000, use the Date number format. To display the result as a serial number, use the General number format.

Although this function requires no argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, parentheses are still required.

Example

When the date is July 4, 2000, and the time is 12:00 P.M., then:

=NOW( ) equals 7/4/00, 12:00 P.M., or 36711.5

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =NOW()
  3. Press ENTER.

Tips

  • If Works displays an incorrect date or time, make sure the clock for your computer is set to the correct date and time. For information on setting the clock, see your Microsoft Windows documentation.
  • If Works displays the result as a date, but you wanted a number, change the field's number format to General format. If the field is formatted with the Date number format, Works displays the result of the formulaan equation that calculates a new value from existing values as a date. On the Format menu, click Field, and then click General.
Related topics

Use Database functions


Use PI( )

What is the PI function?
The PI functiona built-in calculation that you can use to create a formula gives the number 3.14159..., an approximation of the mathematical constant π. Although this function has no argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, parentheses are still required.

Example

=COS(60*PI()/180) equals 0.5 (cosine of 60 degrees)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =PI()
  3. Press ENTER.
Related topics

Use Database functions


Use PMT(Principal,Rate,Term)

What is the PMT function?
When you know the amount, interest rate, and duration of a loan, use the PMT functiona built-in calculation that you can use to create a formula to determine your payment amount.

PMT gives the periodic payment for a loan or an investment of Principal based on a fixed interest Rate per compounding period over a given Term. Works assumes that payments occur at the end of periods of equal length. If Term is not an integer, Works truncates the number. For example, if your term is 24.5, Works will use 24.

Rate represents the interest rate for a single compounding period. For example, for a 12 percent loan with monthly payments, divide the annual interest rate by 12 to find the monthly Rate 1 percent per month.

Example

  • You want to buy a car that requires a $12,000 loan at 9 percent interest per year. What would the payments be if you wanted to pay off the loan with 24 monthly installments?

    =PMT(12000,9%/12,24) equals $548.22 per month

  • If you change the interest rate in the preceding example to 10 percent per month (10%/12), then the formula and results change to:

    =PMT(12000,10%/12,24) equals $553.74 per month

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =PMT
  3. In parentheses, add the Principal, Rate, and Term argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use PROPER(TextValue)

What is the PROPER function?
The PROPER functiona built-in calculation that you can use to create a formula capitalizes the first letter of each word and any text that follows any character other than a letter (a comma or blank space, for example) in a text string.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =PROPER
  3. In parentheses, add the TextValue argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use PV(Payment,Rate,Term)

What is the PV function?
The PV functiona built-in calculation that you can use to create a formula gives the present value of an ordinary annuity of equal Payments that earn a fixed interest Rate per period, over several Terms. You can, for example, use the PV function to find out how much you need to borrow to purchase a house.

Works assumes that the first payment occurs at the end of the first period.

Example

  • You are to inherit $1,500 from your aunt's estate at the end of each year for the next 10 years. You think that the interest rate over the next 10 years will be 9 percent. The value of your inheritance in today's dollars is:

    =PV(1500,9%,10) equals $9,626.49

  • If you change the interest rate in the preceding example to 10 percent, then the formula and results change to:

    =PV(1500,10%,10) equals $9,216.85

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =PV
  3. In parentheses, add the Payment, Rate, and Term argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use RAND( )

What is the RAND function?
The RAND functiona built-in calculation that you can use to create a formula gives a positive random number from 0 (zero) to but not including 1. Although this function has no argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, parentheses are still required. RAND generates a new random number every time the database is recalculated.

Example

  • Type =RAND( ) in a fielda column in List view that shows a category of information, such as a serial number or purchase date, and then recalculate the database. The random number in the field containing the RAND function changes at each recalculation.
  • The following formula gives a random number between 0 and 10 at every recalculation:

    =INT(RAND( )*11)

  • The following formula gives a random number between 1 and 10 at every recalculation:

    =INT(RAND( )*10)+

  • The following formula simulates throwing two dice at every recalculation:

    =(INT(RAND( )*6)+1)+(INT(RAND( )*6)+1)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =RAND()
  3. Press ENTER.
Related topics

Use Database functions


Use RATE(FutureValue,PresentValue,Term)

What is the RATE function?
The RATE functiona built-in calculation that you can use to create a formula gives the fixed interest rate per compounding period needed for an investment of PresentValue to grow to a FutureValue over several compounding Terms.

Example

A limited partnership plans to buy an apartment building for $750,000 with the expectation of selling it for $1,500,000 in six years. The annual rate of return of the investment must be:

=RATE(1500000,750000,6) equals 12.25%

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =RATE
  3. In parentheses, add the FutureValue, PresentValue, and Term argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use REPEAT(TextValue,Count)

What the REPEAT function?
The REPEAT functiona built-in calculation that you can use to create a formula repeats text as many times as you specify.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

If you use a value other than an integer when you specify Count, Works truncates the integer.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =REPEAT
  3. In parentheses, add the TextValue and Count argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use REPLACE(OldText,Offset,Length,NewText)

What the REPLACE function?
The REPLACE functiona built-in calculation that you can use to create a formula exchanges one string of text for another.

OldText and NewText can be references to fieldsa column in List view that shows a category of information, such as a serial number or purchase date that contain text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

Offset is the number of the character within OldText at which to begin replacing OldText characters with NewText. The first character in OldText is 0 (zero), the second is 1, and so on.

Length is the number of characters in OldText, starting at Offset, that you want to replace with NewText.

All of NewText always replaces the characters specified by Length and Offset in OldText. For example, if you want to replace two characters in OldText with NewText that contains ten characters, all ten characters of NewText replace the two OldText characters.

Example

  • The following formula replaces the five characters after the fifth character in OldText with NewText:

    =REPLACE("abcdefghijk",5,5,"*") equals abcde*k

  • The following formula replaces the last two digits of 2000 with 01:

    =REPLACE("2000",2,2,"01") equals 2001 (Works treats the numeric values 2000 and 01 as text in this formula because they are both enclosed in double quotation marks.)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =REPLACE
  3. In parentheses, add the OldText, Offset, Length, and NewText argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use RIGHT(TextValue,Length)

What is the RIGHT function?
The RIGHT functiona built-in calculation that you can use to create a formula returns the last (or rightmost) character or characters in a phrase.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

Length specifies how many characters you want to extract. Length must be greater than 0 (zero).

If Length is greater than the length of the text in TextValue, RIGHT returns all of TextValue.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =RIGHT
  3. In parentheses, add the TextValue and Length argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use ROUND(x,NumberOfPlaces)

What is the ROUND function?
The ROUND functiona built-in calculation that you can use to create a formula gives x rounded to the specified NumberOfPlaces to the left or right of the decimal point.

If NumberOfPlaces is positive, x is rounded to the number of decimal places to the right of the decimal point.

If NumberOfPlaces is 0, Works rounds to the nearest integer.

If NumberOfPlaces is negative, Works rounds to the number of places to the left of the decimal point. NumberOfPlaces performs operations on up to 14 decimal places, and Works displays up to 9.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =ROUND
  3. In parentheses, add the x and NumberOfPlaces argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use SECOND(TimeSerialNumber)

What is the SECOND function?
The SECOND functiona built-in calculation that you can use to create a formula gives the second portion of the serial number as an integer ranging from 0 to 59. The argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result must contain a time, formatted with the Time or General number format.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =SECOND
  3. In parentheses, add the TimeSerialNumber argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.

Tip

If you need to find the serial number of a date or time, click the field namethe name that appears at the top of each column in List view to identify each field of the field containing the date or time, click Field on the Format menu, and then click Number under Format.

Related topics

Use Database functions


Use SIN(x)

What is the SIN function?
The SIN functiona built-in calculation that you can use to create a formula gives the sine of x when x is an angle in radians.

Example

  • =SIN(0) equals 0
  • =SIN(1.047) equals 0.866
  • =SIN(PI( )/2) equals 1
  • =SIN(3*PI( )/2) equals -1
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =SIN
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use SLN(Cost,Salvage,Life)

What is the SLN function?
SLN uses the straight-line depreciation method to find the amount of depreciation in one period.

Cost is the amount you paid for the asset. Salvage is the amount you expect to obtain when you sell the asset at the end of its life. Life is the number of periods (usually measured in years) you expect the asset to be in use.

Example

You buy a tractor for $50,000. You expect to sell it for $8,000 after using it for 10 years. The depreciation expense for each year, using the straight-line method, is calculated as follows: =SLN(50000,8000,10) equals $4,200

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =SLN
  3. In parentheses, add the Cost, Salvage, and Life argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use SQRT(x)

What is the SQRT function?
The SQRT functiona built-in calculation that you can use to create a formula gives the square root of x. The variable x must be a positive number. If x is negative, SQRT gives the error message ERR.

Example

=SQRT(4^2) equals 4

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =SQRT
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use STRING(x,DecimalPlaces)

What is the STRING function?
The STRING functiona built-in calculation that you can use to create a formula gives the value x converted to text (the value preceded by a double quotation mark) with the specified number of decimal places.

STRING is useful when you need to convert a number to text for use in a text formula.

The variable x can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains a value (number). You can also type the number in the formula.

DecimalPlaces is the number of decimal places you want Works to display for the value that is converted to text.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =STRING
  3. In parentheses, add the x and DecimalPlaces argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by a comma.
  4. Press ENTER.
Related topics

Use Database functions


Use SYD(Cost,Salvage,Life,Period)

What is the SYD function?
The SYD functiona built-in calculation that you can use to create a formula uses the sum-of-years'-digits method to find the amount of depreciation in a specific Period.

Cost is the amount you paid for the asset. Salvage is the amount you expect to obtain when you sell the asset at the end of its life. Life is the number of periods (usually measured in years) you expect the asset to be in use. Period is the period for which you want to find the depreciation.

Example

You buy a tractor for $50,000. You expect to sell it for $8,000 after using it for 10 years. The depreciation expense for the seventh year, using the sum-of-years'-digits method, is calculated as follows:

=SYD(50000,8000,10,7) equals $3,054.55.
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =SYD
  3. In parentheses, add the Cost, Salvage, Life, and Period argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use TAN(x)

What is the TAN function?
The TAN functiona built-in calculation that you can use to create a formula gives the tangent of x when x is an angle in radians. A tangent is the ratio of the x-coordinate to the y-coordinate on a circle and the ratio of cosine to sine.

Example

  • =TAN(0.785) equals 0.9992
  • =TAN(45*PI( )/180) equals 1
  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =TAN
  3. In parentheses, add the x argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use TERM(Payment,Rate,FutureValue)

What is the TERM function?
The TERM functiona built-in calculation that you can use to create a formula gives the number of compounding periods necessary for a series of equal Payments earning a fixed interest Rate per period to grow to a FutureValue.

Example

Every month you put $200 into a savings account earning 8.75 percent interest compounded monthly. How long will it take to accumulate $5,000?

=TERM(200,8.75%/12,5000) equals 23.05 (months)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =TERM
  3. In parentheses, add the Payment, Rate, and FutureValue argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.
Related topics

Use Database functions


Use TIME(Hour,Minute,Second)

What is the TIME function?
The TIME functiona built-in calculation that you can use to create a formula gives the serial number of the time specified by Hour, Minute, and Second. The serial number is a decimal fraction ranging from 0 to 0.999, representing times from 0:00:00 (12:00:00 A.M.) to 23:59:59 (11:59:59 P.M.). The argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result in the TIME function — Hour, Minute, and Second — must be within the following ranges:
Argument | Range
Hour | 0 to 23
Minute | 0 to 59
Second | 0 to 59

Works displays the result of the function based on the field's number format. To display the result in a time format, use the Time number format. To display the result as a serial number, use the General number format.

Example

Use the TIME function when you want to include time directly in a formula.

=TIME(16,48,0)TIME(15,48,0) equals 0.042

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =TIME
  3. In parentheses, add the Hour, Minute, and Second argumentsinformation that you provide to a function, such as a number, formula, or text, to calculate a result, separated by commas.
  4. Press ENTER.

Tip

If Works displays the result as a time, but you wanted a number, change the field's number format to General format. If the field is formatted with the Time number format, Works displays the result of the formula as a time. To get a number result, on the Format menu, click Field, and then click General.

Related topics

Use Database functions


Use TRIM(TextValue)

What is the TRIM function?
The TRIM functiona built-in calculation that you can use to create a formula removes all spaces from TextValue except for single spaces between words.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =TRIM
  3. In parentheses, add the TextValue argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use UPPER(TextValue)

What is the UPPER function?
The UPPER functiona built-in calculation that you can use to create a formula converts all letters in TextValue to uppercase.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains text. You can also type the text in the formulaan equation that calculates a new value from existing values, but be sure to enclose it in double quotation marks (").

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =UPPER
  3. In parentheses, add the TextValue argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use VALUE(TextValue)

What is the VALUE function?
The VALUE functiona built-in calculation that you can use to create a formula converts a number entered as text to its corresponding numeric value. You can use the VALUE function to convert text that consists of numbers to values so that they are usable in mathematical calculations.

TextValue can be a reference to a fielda column in List view that shows a category of information, such as a serial number or purchase date that contains a value entered as text.

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =VALUE
  3. In parentheses, add the TextValue argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Use YEAR(DateSerialNumber)

What is the YEAR function?
The YEAR functiona built-in calculation that you can use to create a formula returns the year portion of the date (the number of years since 1900) specified by DateSerialNumber as an integer ranging from 0 to 179.

The argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result must contain a date, formatted with the Date or General number format.

For example, to add a certain number of years to a date, use the YEAR function to convert the date to a serial number, and then add the number of yearsyou want.

The result of this formula is a serial number that you can convert back into a regulardate format by setting the field format to Date.

=DATE(Year(A1)+3,Month(A1)+1,Day(A1)+5)

  1. Click the fielda column in List view that shows a category of information, such as a serial number or purchase date where you want to use the function.
  2. Type =YEAR
  3. In parentheses, add the DateSerialNumber argumentinformation that you provide to a function, such as a number, formula, or text, to calculate a result.
  4. Press ENTER.
Related topics

Use Database functions


Wrap text within a field

  1. On the View menu, click List or click Report.
  2. In List view, click the field namethe name that appears at the top of each column in List view to identify each field you want to change.

    - or -

    In Report view, click the cellthe intersection of a row and column that can contain text or numbers you want to change.

  3. On the Format menu, click Alignment.
  4. Click Wrap text.

Note

Works wraps only text, it does not wrap numbers, dates, or times within a field.

Related topics

Field formats

Change database views